#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x6ea3a6a9, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0xfd93fa3e, "_gpl");
SYMBOL_CRC(ahci_ops, 0xf0f2937e, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x15db87fa, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x3dd5b1ad, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x9f7f402a, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x6f87262f, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x82f5f2c7, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x7d4b0f74, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x00d23be3, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x2b211965, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xb3316bd6, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x9900e7f2, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x3e226acd, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x54ab28d6, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xf8125ec2, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xd1ef274f, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x20f2e080, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xe8d1b039, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xc15f0d44, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x42ce283f, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x7886c5e1, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xeae53c1f, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x250dc494, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x8ca89f4f, "ata_std_qc_defer" },
	{ 0x2eba862, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xd8097729, "ata_port_classify" },
	{ 0xcb967980, "ata_qc_complete_multiple" },
	{ 0x27569bb, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xd5730579, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdf29b475, "ata_host_start" },
	{ 0x8a53dbb, "devm_request_threaded_irq" },
	{ 0x33d1197, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf93a467d, "ata_host_register" },
	{ 0xd188641d, "ata_host_activate" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x71abed10, "ata_dummy_port_ops" },
	{ 0xea50ffa, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x792a873b, "devm_kmalloc" },
	{ 0x75ac3b55, "dmam_alloc_attrs" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x5ce69fbd, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x1e0362db, "sata_link_hardreset" },
	{ 0x2dff2fc0, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4feb67a9, "ata_ehi_clear_desc" },
	{ 0xa4b38b13, "ata_ehi_push_desc" },
	{ 0x6378c917, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4f74c975, "ata_port_abort" },
	{ 0xcc636811, "sata_lpm_ignore_phy_events" },
	{ 0xa436bf51, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x9f7767fe, "param_ops_int" },
	{ 0x30257dd5, "param_ops_bool" },
	{ 0x168a1966, "sata_pmp_port_ops" },
	{ 0xd8263164, "dev_attr_sw_activity" },
	{ 0x3fd69e9a, "dev_attr_unload_heads" },
	{ 0x94b6ec24, "dev_attr_ncq_prio_supported" },
	{ 0xb8719ed8, "dev_attr_ncq_prio_enable" },
	{ 0x56a9e4e8, "dev_attr_link_power_management_policy" },
	{ 0x6052590b, "dev_attr_em_message_type" },
	{ 0xd7abc685, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9bf374b4, "__pm_runtime_resume" },
	{ 0xd1a165e8, "__pm_runtime_idle" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe17f889b, "ata_link_next" },
	{ 0x6adb02ba, "ata_wait_register" },
	{ 0x98f099be, "ata_dev_set_feature" },
	{ 0x39341ec8, "_dev_info" },
	{ 0x82b57bc2, "sata_link_scr_lpm" },
	{ 0xaa2056f3, "ata_msleep" },
	{ 0xc812d889, "_dev_err" },
	{ 0xe844e97e, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.7");
