#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x06972aad, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xf674895f, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xffa23bd8, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x18adf292, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xb5f837e6, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x6453e645, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xf025dae9, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x0ed0d8ef, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xd6ab51ba, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x6e36d197, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xb4426f30, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x5d1db0ca, "_gpl");
SYMBOL_CRC(mhi_notify, 0xb5693264, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xf9aea0ba, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x43ef7ab7, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xea14eb5f, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xb32f46be, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xb4bc0919, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x9b09ca82, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x41436366, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0xdbcab9b4, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x32439b37, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x85f77dd9, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xc2fac8b2, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xec9f40ad, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x56dc6682, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xad7d74c0, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xf13e4005, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x3b2a3c70, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x364b4779, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x8f7113bc, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xc5f9b38e, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x3b2096df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa8dc4c97, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x515d77e5, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb8819574, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x229f10fa, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x6b19f771, "dma_unmap_page_attrs" },
	{ 0xa8b325f0, "request_firmware" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0xa157d7fc, "device_initialize" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa22d0c82, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae26dfa3, "bpf_trace_run2" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0xf545e841, "__wake_up" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0x68ca4292, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1170090d, "dma_map_page_attrs" },
	{ 0x4b4735b7, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbabb20f1, "put_device" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0xd7305c13, "sysfs_remove_file_ns" },
	{ 0xe2523cd2, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x39341ec8, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0x28c2b983, "bus_unregister" },
	{ 0xc812d889, "_dev_err" },
	{ 0x1c9ceccf, "device_wakeup_enable" },
	{ 0xa1dc4ea, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x44bfa9d0, "dma_alloc_attrs" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xab735569, "ida_free" },
	{ 0xcc8c6c9d, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xafeb2562, "device_del" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x8ab7fd5a, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x975bf523, "rt_read_lock" },
	{ 0x96e76765, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf1e07934, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf17528ce, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa760d61d, "driver_register" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x1401279b, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.7");
