#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0xeb75c0f5, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x67047d2d, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0xad1818a5, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0xf76cc227, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0x8ad83f03, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x37b0c935, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x5c4e8f23, "_gpl");
SYMBOL_CRC(idxd_drv, 0xcf6b7414, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0xbc018eec, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x2fc26b87, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0xc4422c84, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x3bfdfa24, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x97b067e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe97faa83, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x848369c8, "pci_msix_vec_count" },
	{ 0x54aaae28, "pci_enable_device" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x229f10fa, "dev_set_name" },
	{ 0x77a123e5, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x3941c784, "dma_async_device_unregister" },
	{ 0xeb90735, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x76a86d5a, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x161da2f8, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x77218bbd, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9baf1aea, "__pci_register_driver" },
	{ 0x6bb67bb5, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa157d7fc, "device_initialize" },
	{ 0x61802dcd, "dsa_bus_type" },
	{ 0x52b2c0bf, "iommu_dev_disable_feature" },
	{ 0x62c2d652, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xdec09d54, "seq_lseek" },
	{ 0xec437fdf, "iommu_sva_bind_device" },
	{ 0x4e3c0dea, "iommu_detach_device_pasid" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0xf545e841, "__wake_up" },
	{ 0x274da39, "pci_irq_vector" },
	{ 0x68ca4292, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xfc861a51, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1be35f27, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf8a8f664, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x29059355, "sbitmap_prepare_to_wait" },
	{ 0x5373814d, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbabb20f1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xd4724e2a, "kmalloc_node_trace" },
	{ 0x71a12b31, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x55b76f76, "kmem_cache_alloc" },
	{ 0x39341ec8, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbf035869, "__idxd_driver_register" },
	{ 0xb5a1ce84, "iommu_get_domain_for_dev" },
	{ 0x24db3ab8, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x28c2b983, "bus_unregister" },
	{ 0x2ddf1753, "down_write" },
	{ 0xc812d889, "_dev_err" },
	{ 0xf5102d7d, "up_write" },
	{ 0xa1dc4ea, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x92348955, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x575e4f7b, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x39fa094, "kmem_cache_free" },
	{ 0x44bfa9d0, "dma_alloc_attrs" },
	{ 0x1dea6099, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xaf64e428, "dma_async_device_channel_unregister" },
	{ 0xcd8a274c, "iommu_sva_unbind_device" },
	{ 0x5d89cd2b, "sbitmap_queue_clear" },
	{ 0xab735569, "ida_free" },
	{ 0x3196c1eb, "iommu_alloc_global_pasid" },
	{ 0x3ac5e5ed, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x274a3f0f, "pci_iounmap" },
	{ 0xafeb2562, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe2ae1a3a, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe9b01f73, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7fc1c65, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe01ea459, "dma_async_device_register" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x9f416f59, "iommu_attach_device_pasid" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x9766d5c7, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3ba9632c, "dma_set_coherent_mask" },
	{ 0x2a5a6826, "__xa_insert" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x4f74856d, "debugfs_create_file" },
	{ 0x96e76765, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf23ce45, "sbitmap_finish_wait" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x8603d91a, "dma_async_device_channel_register" },
	{ 0x30257dd5, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x42781b5c, "xa_destroy" },
	{ 0x935bb78f, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0xdf744238, "pci_disable_device" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xfdca33ce, "seq_puts" },
	{ 0x366c818f, "single_release" },
	{ 0x4b224ccf, "dma_set_mask" },
	{ 0xf741e42e, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x7c554001, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x39e4541b, "single_open" },
	{ 0xc28c6012, "debugfs_create_dir" },
	{ 0x3d9f355c, "__sbitmap_queue_get" },
	{ 0xc6de34bf, "pci_free_irq_vectors" },
	{ 0xf219f85f, "idxd_driver_unregister" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0x71153254, "cdev_init" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x1401279b, "bus_register" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000011FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001216sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "24E8FBC4E0C73648D80442D");
MODULE_INFO(rhelversion, "9.7");
