#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x830719f9, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xe6ce4834, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xb6b79e24, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x16a97b15, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x54e6b3e0, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x7adf1155, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x6deccc59, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x5a52c5dd, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x2a1f6037, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xeb1a54cf, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xb4836004, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x2a71faed, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x651b934e, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x16521bfd, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x65635ad7, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x98c41fec, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x826354da, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x6ba59259, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x7325cc22, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x929149e9, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xe6f17e8b, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xe2072250, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x2c2ef763, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x7ab132a1, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xff24a2ca, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x4ea083bf, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x234f5b41, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x253b512f, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x05aec84f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f6d114c, "regmap_read" },
	{ 0x39341ec8, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x29581730, "regmap_update_bits_base" },
	{ 0x565a8f08, "regmap_write" },
	{ 0x311eae52, "regmap_multi_reg_write" },
	{ 0xaf15e79b, "regmap_bulk_read" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x92289c47, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1dea6099, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x6c18803f, "regmap_async_complete" },
	{ 0xf6666fee, "regmap_raw_write_async" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x792a873b, "devm_kmalloc" },
	{ 0x5ce69fbd, "devm_kfree" },
	{ 0xdec09d54, "seq_lseek" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x366c818f, "single_release" },
	{ 0x1ad77536, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc28c6012, "debugfs_create_dir" },
	{ 0x69807643, "debugfs_create_bool" },
	{ 0xcc718871, "debugfs_create_x32" },
	{ 0x4f74856d, "debugfs_create_file" },
	{ 0x39e4541b, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc812d889, "_dev_err" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xb40c775b, "regmap_raw_write" },
	{ 0x878b50f2, "regmap_raw_read" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");
MODULE_INFO(rhelversion, "9.7");
