#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(accel_open, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xcc78f3fd, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x193ac7a0, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0xca3f419a, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x8f8dbeec, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xd1679126, "");
SYMBOL_CRC(drm_atomic_state_init, 0x59ac03d3, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x67453b40, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x58cf167b, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x7f8c801b, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xcb5bf30b, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x89e36c4d, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xe2097a07, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x5d3777b3, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x2acef328, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0xda3f90a0, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x5b4ed2b7, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x8f1612b6, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x0e6750a1, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x7e794ac5, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x742be2d7, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x6883db6a, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x68566d1a, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x2bdcbfc0, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xd86f9c20, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x9eaa768d, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x37c3ba4d, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x7edc2fa0, "");
SYMBOL_CRC(drm_atomic_check_only, 0x42209d6f, "");
SYMBOL_CRC(drm_atomic_commit, 0x1fdbacdd, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xb95951d4, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xa9551ad1, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x34c0e762, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xbef47f55, "");
SYMBOL_CRC(drm_state_dump, 0x26c40162, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xcbfb9e21, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x94daae20, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x1f5bf892, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x4c07cc34, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xceb3f8ea, "");
SYMBOL_CRC(drm_is_current_master, 0xf72d7358, "");
SYMBOL_CRC(drm_master_get, 0x4a082e68, "");
SYMBOL_CRC(drm_file_get_master, 0x11f66fef, "");
SYMBOL_CRC(drm_master_put, 0xcd51f8f5, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x71dedb04, "");
SYMBOL_CRC(drm_master_internal_release, 0xcf0b0d4d, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x2b48b3ee, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x38b0f060, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xe9ff5133, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xb241f843, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x1132a751, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x39fc805a, "");
SYMBOL_CRC(drm_bridge_add, 0x898fc98e, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x6d9225c7, "");
SYMBOL_CRC(drm_bridge_remove, 0xf46a7ef0, "");
SYMBOL_CRC(drm_bridge_attach, 0x851abe4a, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xc3ee7d08, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x92ef2647, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x6e2cac4c, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xffa44ac9, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x0675a2b0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x20a5e710, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xc308e1fe, "");
SYMBOL_CRC(drm_bridge_detect, 0xfacbae4e, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x0e0b14db, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x39b047b6, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x5d3ed8e6, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x5984ea84, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x2e38c7e2, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x083c1ed9, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xd0e9d358, "");
SYMBOL_CRC(drm_client_register, 0xf0c0fe76, "");
SYMBOL_CRC(drm_client_release, 0x29e5e10f, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xacacf893, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x695304e5, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x90699fb9, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0xe7247c8b, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x904bca68, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x0bbe6dbc, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x7c40cdd0, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x836e9cee, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x0feada28, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x3b2ba04f, "");
SYMBOL_CRC(drm_client_rotation, 0x3f6aa437, "");
SYMBOL_CRC(drm_client_modeset_check, 0x51dec3b6, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x6a50c3f7, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x7d9642d6, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xd45b849c, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x08ee217e, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xcb09bb6e, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x96e6760a, "");
SYMBOL_CRC(drm_color_lut_check, 0xdfd762be, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xd6d7c7c7, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x695defa2, "");
SYMBOL_CRC(drmm_connector_init, 0xd0feaa7d, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x12539b2d, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x6eed70aa, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x2a624092, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xa2067900, "");
SYMBOL_CRC(drm_connector_cleanup, 0x3c1c1816, "");
SYMBOL_CRC(drm_connector_register, 0x68bd2ead, "");
SYMBOL_CRC(drm_connector_unregister, 0xf803ecfa, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x7fe9070b, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xd6bc37b1, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x2eed8515, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x6e142256, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x95aaaee9, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x7bcf7929, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x2bd10910, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x2e000b0a, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xb2e35ed9, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0xa8ac8553, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0xae148e74, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x8a83b960, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xd6bd2f1a, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x6e5c4dda, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x3914ffda, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x51f89467, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x6c708552, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xf07fb9b9, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xd8083800, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xbefa5f75, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xe33e2da6, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xb1bd242d, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x472bc7df, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0xb1a46379, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xbcb04112, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x507289ec, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x4af731d9, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xfd9c5d7a, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xe57e5f55, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0xb5b8d76d, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x88069b70, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x7edfe54f, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x9306ab2e, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x152f1126, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x52373969, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x696c4163, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xa68c4352, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x39bc443a, "");
SYMBOL_CRC(drm_crtc_from_index, 0x1763f85a, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x2f580d2b, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x24d25d4c, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x8a6ed4d7, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x6aaa1e73, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x3749e36c, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x4bf7c6cb, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xa4767489, "");
SYMBOL_CRC(drm_put_dev, 0x86284db3, "");
SYMBOL_CRC(drm_dev_enter, 0x8fcfcd84, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x84fcd5b0, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x33e59383, "");
SYMBOL_CRC(drm_dev_alloc, 0x4507672b, "");
SYMBOL_CRC(drm_dev_get, 0x7e8f2f96, "");
SYMBOL_CRC(drm_dev_put, 0xe37180fc, "");
SYMBOL_CRC(drm_dev_register, 0xf98a0577, "");
SYMBOL_CRC(drm_dev_unregister, 0x2087d60f, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x0c936d22, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x0d42dae7, "");
SYMBOL_CRC(drm_get_edid, 0xe4091874, "");
SYMBOL_CRC(drm_edid_read_custom, 0x0f2b61b6, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xc90ef62b, "");
SYMBOL_CRC(drm_edid_read, 0x47d14e56, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x68e7c16c, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x82882f3e, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xfc1eeeea, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x9619c8c4, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xeefe7ff9, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x4fd747eb, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x170cc05f, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xcb440161, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x9481e390, "");
SYMBOL_CRC(drm_add_edid_modes, 0x3151b38b, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xceaff107, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xa7c548f2, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xf4778589, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x966e7b1c, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x89f82780, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xdd0867c2, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x602716a3, "");
SYMBOL_CRC(drmm_encoder_init, 0x09a84fda, "");
SYMBOL_CRC(drm_open, 0xf838013c, "");
SYMBOL_CRC(drm_release, 0x7735a4d2, "");
SYMBOL_CRC(drm_release_noglobal, 0x464dc381, "");
SYMBOL_CRC(drm_read, 0x50a57000, "");
SYMBOL_CRC(drm_poll, 0xdbaa685b, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x83124b3e, "");
SYMBOL_CRC(drm_event_reserve_init, 0xf175aee4, "");
SYMBOL_CRC(drm_event_cancel_free, 0x41271857, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xd2c101b7, "");
SYMBOL_CRC(drm_send_event_locked, 0x953a603f, "");
SYMBOL_CRC(drm_send_event, 0xa1c97f05, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0x00153023, "");
SYMBOL_CRC(drm_show_fdinfo, 0xee6b0aaf, "");
SYMBOL_CRC(mock_drm_getfile, 0x79cc6216, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xb8e303ca, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x04e01145, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x599dcb77, "");
SYMBOL_CRC(drm_framebuffer_init, 0x0d9f4477, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x36019e3c, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x0ebfd4ae, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xe6dffdcc, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xe9437562, "");
SYMBOL_CRC(drm_gem_object_init, 0xd41ffaa9, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xd38b68e4, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xe799474c, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x89a73eff, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xecf5c777, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x7412541c, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x03128ce0, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x7f917d34, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x427736cd, "");
SYMBOL_CRC(drm_gem_get_pages, 0x2bb48686, "");
SYMBOL_CRC(drm_gem_put_pages, 0x4e489bea, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x1d21886f, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xbbcdaae0, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xd0690cd2, "");
SYMBOL_CRC(drm_gem_object_release, 0x4272c9fe, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xd5e587d3, "");
SYMBOL_CRC(drm_gem_vm_close, 0x69c90fc0, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xb4c3cc62, "");
SYMBOL_CRC(drm_gem_mmap, 0xec97636e, "");
SYMBOL_CRC(drm_gem_vmap, 0x4de7c51f, "");
SYMBOL_CRC(drm_gem_vunmap, 0x029ce40a, "");
SYMBOL_CRC(drm_gem_lock, 0xc249bea8, "");
SYMBOL_CRC(drm_gem_unlock, 0xcb348119, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x7e8c8fad, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xbd66d633, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x90d97833, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xf37517d1, "");
SYMBOL_CRC(drm_gem_lru_init, 0xe643d3cd, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x84027157, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x57d30a52, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x65f538f8, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x0d8082cb, "");
SYMBOL_CRC(drm_gem_evict, 0x6342b6fe, "");
SYMBOL_CRC(drm_noop, 0x991e2f6a, "");
SYMBOL_CRC(drm_invalid_op, 0x13b308e0, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x30141f41, "");
SYMBOL_CRC(drm_ioctl, 0x57a66b00, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x2bb3854e, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xa4afc1d7, "");
SYMBOL_CRC(drmm_release_action, 0xb623c0e4, "");
SYMBOL_CRC(drmm_kmalloc, 0xf800a044, "");
SYMBOL_CRC(drmm_kstrdup, 0xd33f4f07, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xe9dc45da, "");
SYMBOL_CRC(__drmm_mutex_release, 0xc2c32164, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0x02ecc8d5, "");
SYMBOL_CRC(drmm_mode_config_init, 0xd5660ead, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x7975b0bf, "");
SYMBOL_CRC(drm_mode_object_find, 0xd40e02c1, "");
SYMBOL_CRC(drm_mode_object_put, 0xc6d18f36, "");
SYMBOL_CRC(drm_mode_object_get, 0x2158c038, "");
SYMBOL_CRC(drm_object_attach_property, 0x9cd3e2ad, "");
SYMBOL_CRC(drm_object_property_set_value, 0x1b87103f, "");
SYMBOL_CRC(drm_object_property_get_value, 0x44ea6c80, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x349c57fa, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0x0203cde7, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x01e27cf6, "");
SYMBOL_CRC(drm_mode_destroy, 0xd92ffab4, "");
SYMBOL_CRC(drm_mode_probed_add, 0x3f912135, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x5174fac2, "");
SYMBOL_CRC(drm_cvt_mode, 0x2a53bf9d, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x26d756da, "");
SYMBOL_CRC(drm_gtf_mode, 0xca62b6c9, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x1f9c53d2, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x90e66a66, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x569bd6cf, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xc9270f45, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xb9cb5058, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x31fe2f5f, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x22073353, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xc7e3f004, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x25c688b1, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xf54ebd22, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x3ecf4fdb, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x12d290c6, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x812bdb71, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x38ae2e23, "");
SYMBOL_CRC(drm_modeset_backoff, 0xf12ccdb5, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xc6962d10, "");
SYMBOL_CRC(drm_modeset_lock, 0xfb80980e, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x9a4ebd7b, "");
SYMBOL_CRC(drm_modeset_unlock, 0x74c2bda9, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0xd369138a, "");
SYMBOL_CRC(drm_universal_plane_init, 0x7327f8a6, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x0884952a, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x93176149, "");
SYMBOL_CRC(drm_plane_cleanup, 0x43853736, "");
SYMBOL_CRC(drm_plane_from_index, 0x3c9926a1, "");
SYMBOL_CRC(drm_plane_force_disable, 0xd21dcfdd, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x4808452b, "");
SYMBOL_CRC(drm_plane_has_format, 0x5158ff88, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x8c1777a6, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x6a9442d3, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xdc2e93c6, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x42cb2379, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x4254bf6e, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0xced4bd04, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x69c48cee, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x6352de12, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xed55acc0, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0xf1ec4945, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xcd87e17a, "");
SYMBOL_CRC(drm_gem_map_attach, 0x68cd8e36, "");
SYMBOL_CRC(drm_gem_map_detach, 0xa8bccebd, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x8c11b3bb, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x9c43666e, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x15e2ad38, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x22f0188a, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x94867814, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x1ff99237, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x5dc9a016, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x4573b471, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xea898080, "");
SYMBOL_CRC(drm_gem_prime_import, 0xa87d1230, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0xa7a7ffc1, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xd9f271be, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x3fdc748d, "");
SYMBOL_CRC(__drm_dev_dbg, 0x3e87aa55, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x957de73f, "");
SYMBOL_CRC(drm_property_create, 0x0d937181, "");
SYMBOL_CRC(drm_property_create_enum, 0xa61fef3b, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x0769a734, "");
SYMBOL_CRC(drm_property_create_range, 0x853943a4, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x33685fda, "");
SYMBOL_CRC(drm_property_create_object, 0xfb037406, "");
SYMBOL_CRC(drm_property_create_bool, 0x3d7d4d74, "");
SYMBOL_CRC(drm_property_add_enum, 0xfb8f003c, "");
SYMBOL_CRC(drm_property_destroy, 0x4c695ae5, "");
SYMBOL_CRC(drm_property_create_blob, 0xe5949192, "");
SYMBOL_CRC(drm_property_blob_put, 0x5a48ee01, "");
SYMBOL_CRC(drm_property_blob_get, 0xb7b58f92, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x7d85a66c, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xc0ff0122, "");
SYMBOL_CRC(drm_property_replace_blob, 0x5c70284f, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x7712f52d, "");
SYMBOL_CRC(drm_syncobj_find, 0x19b8276e, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x2c732b5f, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x297d19dd, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x6345e401, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x1ad0af0e, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x9ef53dd4, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x95d5bd5b, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x3712a596, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xfbf21bd1, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x5f744ac7, "");
SYMBOL_CRC(drm_class_device_register, 0x4cedca10, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x0f00f659, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0xdeaf1b27, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x413e8d9b, "");
SYMBOL_CRC(drm_vblank_init, 0xf1e50cf6, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x72551c39, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x638c40d3, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x67c612e5, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0xdb76002c, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xa91a9a45, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x857cf45a, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xbfaede8b, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x31f63316, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x72b26595, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xabf99777, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xf16bc00a, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xf7da6813, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x011a4c72, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xd461695c, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x2829b9bb, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x30e05501, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xae9336d2, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0xe1484e80, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x4ba3edd5, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x658eed91, "");
SYMBOL_CRC(drm_handle_vblank, 0x10c4cfc9, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xf9d21fdc, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x5ebbb68c, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x111205fa, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x1039c85b, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0xf04d104c, "");
SYMBOL_CRC(drm_vblank_work_init, 0x883e5bad, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xd5d7c714, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0xecdf5053, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc52b5346, "");
SYMBOL_CRC(drm_vma_offset_add, 0x36ff02fc, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xc048f40a, "");
SYMBOL_CRC(drm_vma_node_allow, 0xb9c5c89a, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x0dca70fa, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x75fc873d, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x28445fdf, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x9447e818, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x296c3a34, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xe6f2261b, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x3906d4d4, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xb670739f, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x64a48d6f, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xa6b86022, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_panel_init, 0x87def906, "");
SYMBOL_CRC(drm_panel_add, 0x41f62160, "");
SYMBOL_CRC(drm_panel_remove, 0xb4737d02, "");
SYMBOL_CRC(drm_panel_prepare, 0xa9a5a236, "");
SYMBOL_CRC(drm_panel_unprepare, 0xf333db44, "");
SYMBOL_CRC(drm_panel_enable, 0x3249f7e8, "");
SYMBOL_CRC(drm_panel_disable, 0xf4955213, "");
SYMBOL_CRC(drm_panel_get_modes, 0x6cc9f17a, "");
SYMBOL_CRC(drm_is_panel_follower, 0xabf4aaf7, "");
SYMBOL_CRC(drm_panel_add_follower, 0xdcc7e14a, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x209ea427, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xc69019a1, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x9f178ee4, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x64c543ed, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x39b232f5, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xff6e7d66, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x9d8045bc, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x5ca78e3c, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x79307998, "_gpl");
SYMBOL_CRC(accel_open, 0x148bc42d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0x179a75a1, "try_module_get" },
	{ 0x279c28e2, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x17e68d64, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xaa72805, "alloc_anon_inode" },
	{ 0x588f5ae9, "show_class_attr_string" },
	{ 0x82b571a6, "kthread_cancel_work_sync" },
	{ 0xba1e487e, "is_acpi_device_node" },
	{ 0x2aab6e07, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x36244f99, "kthread_flush_work" },
	{ 0x515d77e5, "bpf_trace_run4" },
	{ 0xe97faa83, "ida_destroy" },
	{ 0x24278c04, "idr_find" },
	{ 0xfa2a893c, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9ae41d2a, "shmem_read_folio_gfp" },
	{ 0x9bd944c5, "__folio_batch_release" },
	{ 0x229f10fa, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0x29c1434d, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2d3b7b6c, "dma_resv_wait_timeout" },
	{ 0x77218bbd, "device_unregister" },
	{ 0x1a23c33b, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x813b63eb, "kthread_flush_worker" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa8b325f0, "request_firmware" },
	{ 0x94552306, "class_destroy" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x3f570c52, "idr_replace" },
	{ 0x2bbdd6ce, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa157d7fc, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x5390a4d6, "fd_install" },
	{ 0xf3ed98e1, "dma_fence_chain_ops" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8fea999f, "component_del" },
	{ 0x72a4c4e3, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x22df1e53, "iput" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xdec09d54, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0xd728b73d, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0xf545e841, "__wake_up" },
	{ 0xeecd039, "dma_fence_add_callback" },
	{ 0x3982789a, "synchronize_srcu" },
	{ 0x727fb3af, "dma_fence_set_deadline" },
	{ 0x68ca4292, "get_device" },
	{ 0xe71218f9, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3add20ba, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7d8eb2f4, "wake_up_process" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0x7ae23a70, "dma_buf_map_attachment_unlocked" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x3002b151, "ww_mutex_trylock" },
	{ 0x283d9e4d, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa0273f5a, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x467d3eec, "dma_max_mapping_size" },
	{ 0xbabb20f1, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0x65e0aa1c, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x72e5b6f6, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d00a98d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x59932bd7, "dma_fence_remove_callback" },
	{ 0xe2523cd2, "rt_write_unlock" },
	{ 0x39341ec8, "_dev_info" },
	{ 0x6caee611, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb0ac1214, "atomic_dec_and_mutex_lock" },
	{ 0xd9a41c74, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x140c2e0a, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x15fdea9, "idr_remove" },
	{ 0x6a8b6c0d, "dma_fence_chain_walk" },
	{ 0x9c301bc2, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x217af217, "__task_pid_nr_ns" },
	{ 0x420cb1b, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0xb0a4ce76, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xe0f1a8ec, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7bd97719, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf0a123f6, "fput" },
	{ 0x2ddf1753, "down_write" },
	{ 0xc812d889, "_dev_err" },
	{ 0xf5102d7d, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x1ad77536, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xa1dc4ea, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x939460b6, "sysfs_remove_link" },
	{ 0x9e374f, "idr_alloc" },
	{ 0xd0d2e4c4, "pid_task" },
	{ 0x5071c1f2, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x8da56360, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x575e4f7b, "xa_load" },
	{ 0x6b6bfe54, "noop_llseek" },
	{ 0xee96b6d3, "dma_fence_signal" },
	{ 0xc1f93819, "folio_mark_accessed" },
	{ 0x9e9fa165, "dma_resv_fini" },
	{ 0x14969331, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6141c401, "dma_buf_get" },
	{ 0x1dea6099, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x7c08c4e7, "aperture_remove_conflicting_pci_devices" },
	{ 0xa6717008, "ww_mutex_lock" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x267e3ea4, "dma_buf_put" },
	{ 0xab735569, "ida_free" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc64972ae, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf1c0cd72, "dma_fence_init" },
	{ 0xb0a05a16, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3ca005fd, "device_register" },
	{ 0xafeb2562, "device_del" },
	{ 0x73737da7, "idr_destroy" },
	{ 0xc280a3ba, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x23a52a89, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xffe2a540, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf7f86c2, "devm_aperture_acquire_for_platform_device" },
	{ 0x4b8b2f35, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7191cbd0, "xa_erase" },
	{ 0xbca1d00b, "check_move_unevictable_folios" },
	{ 0x8ab7fd5a, "bpf_trace_run3" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xd6178946, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x975bf523, "rt_read_lock" },
	{ 0x4f74856d, "debugfs_create_file" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0x294dabfb, "dma_map_sgtable" },
	{ 0x864cd699, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xa8f4029a, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xe3da022d, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x88c85183, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x24813928, "seq_write" },
	{ 0xf1e07934, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcfb5465f, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xef0039cf, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6fb71909, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x203467ba, "__rt_mutex_init" },
	{ 0x540dc142, "__srcu_read_unlock" },
	{ 0xf17528ce, "rt_write_lock" },
	{ 0x7529d668, "i2c_transfer" },
	{ 0x39c5d41a, "dma_fence_allocate_private_stub" },
	{ 0xceae1cc9, "dma_buf_detach" },
	{ 0xd1fe8698, "dma_fence_signal_timestamp" },
	{ 0xcc457d41, "dma_fence_chain_init" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0xfdca33ce, "seq_puts" },
	{ 0x366c818f, "single_release" },
	{ 0x454ae993, "dev_printk" },
	{ 0xea323a6b, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xfa05079e, "sched_set_fifo" },
	{ 0x41ef73de, "simple_release_fs" },
	{ 0x9603863f, "dev_err_probe" },
	{ 0x858f2e92, "dma_unmap_sg_attrs" },
	{ 0xd1a65c65, "kill_anon_super" },
	{ 0x39afba60, "from_kuid_munged" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x366ea1b5, "__devm_add_action" },
	{ 0x400488eb, "component_add" },
	{ 0x1437d54a, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x75ded1af, "dma_fence_chain_find_seqno" },
	{ 0x9f7767fe, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x39e4541b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xc28c6012, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x385fcd7d, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xeae0753d, "put_pid" },
	{ 0xc79ac12, "class_register" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x12b85bcd, "__dev_fwnode" },
	{ 0xc9fb05f0, "pci_bus_type" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x19c22580, "class_remove_file_ns" },
	{ 0x9e5d5ca4, "simple_pin_fs" },
	{ 0xfd1c5a86, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "9B26B2137A44EE3D1CF1F05");
MODULE_INFO(rhelversion, "9.7");
