#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x095bb747, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x530fae6e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x3f7c4474, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x65874957, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x71f6d2ee, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x0119318a, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x6b3b9642, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x9e9cae80, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x3a7216c3, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x8ea1e976, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xaa278c93, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x8d105e0b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xafe4debf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xeb1ed232, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x862d0acb, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x68ee1a29, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xb1ec10aa, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x41725ddc, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0xed69b35f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xf0c0fe76, "drm_client_register" },
	{ 0x179a75a1, "try_module_get" },
	{ 0xceb440e9, "drm_fb_helper_init" },
	{ 0x4f3afb24, "drm_fb_helper_debug_enter" },
	{ 0x17e68d64, "ww_mutex_lock_interruptible" },
	{ 0x5699d615, "vmf_insert_pfn" },
	{ 0x2bb48686, "drm_gem_get_pages" },
	{ 0xd1cb4257, "dma_buf_vmap" },
	{ 0x904bca68, "drm_client_buffer_vmap" },
	{ 0x4870ca27, "drm_fb_helper_lastclose" },
	{ 0x22b9ebcc, "drm_fb_helper_setcmap" },
	{ 0x715311f5, "drm_fb_helper_alloc_info" },
	{ 0x6312cb02, "drm_helper_disable_unused_functions" },
	{ 0x11451f7f, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x37cc8fa1, "drm_fb_helper_fini" },
	{ 0x836e9cee, "drm_client_framebuffer_delete" },
	{ 0x7c40cdd0, "drm_client_framebuffer_create" },
	{ 0x2abc54c9, "invalidate_mapping_pages" },
	{ 0x2bbdd6ce, "ww_mutex_unlock" },
	{ 0xedd1e3ad, "drm_fb_helper_deferred_io" },
	{ 0xfe380064, "drm_fb_helper_release_info" },
	{ 0x72a4c4e3, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xf0b64674, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8e303ca, "drm_driver_legacy_fb_format" },
	{ 0xee3ebe5e, "drm_fb_helper_fill_info" },
	{ 0x427736cd, "drm_gem_create_mmap_offset" },
	{ 0xe22af3ae, "fb_deferred_io_init" },
	{ 0x31277694, "fb_deferred_io_cleanup" },
	{ 0xd41ffaa9, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0x91cd070d, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd311d6d, "fb_sys_write" },
	{ 0x34e91454, "sys_imageblit" },
	{ 0x51c9760c, "drm_fb_helper_damage_range" },
	{ 0xcc347c34, "drm_fb_helper_blank" },
	{ 0xd38b68e4, "drm_gem_private_object_init" },
	{ 0xd90edca6, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc4c0860b, "drm_fb_helper_damage_area" },
	{ 0xb8d18357, "sys_fillrect" },
	{ 0xe2b2f3b7, "set_pages_array_wb" },
	{ 0xd9a41c74, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd0e9d358, "drm_client_init" },
	{ 0x69c90fc0, "drm_gem_vm_close" },
	{ 0xd5e587d3, "drm_gem_vm_open" },
	{ 0xdff9fd59, "drm_fb_helper_prepare" },
	{ 0x2ddf1753, "down_write" },
	{ 0xc812d889, "_dev_err" },
	{ 0xf5102d7d, "up_write" },
	{ 0x4272c9fe, "drm_gem_object_release" },
	{ 0xa6717008, "ww_mutex_lock" },
	{ 0x2d9ed09, "vmap" },
	{ 0x7412541c, "drm_gem_handle_create" },
	{ 0x74fb7579, "drm_gem_fb_get_obj" },
	{ 0x3e87aa55, "__drm_dev_dbg" },
	{ 0x5dc9a016, "drm_prime_pages_to_sg" },
	{ 0x45e87939, "fb_deferred_io_mmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb56d7fbd, "drm_fb_helper_pan_display" },
	{ 0x5ab75b8f, "dma_buf_vunmap" },
	{ 0x29e5e10f, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb73ded17, "sys_copyarea" },
	{ 0x273b4bf6, "shmem_truncate_range" },
	{ 0xd33db973, "set_pages_array_wc" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x294dabfb, "dma_map_sgtable" },
	{ 0x3128ce0, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbbe6dbc, "drm_client_buffer_vunmap" },
	{ 0x6dafdf51, "fb_sys_read" },
	{ 0xb2e74af4, "drm_fb_helper_debug_leave" },
	{ 0x858f2e92, "dma_unmap_sg_attrs" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xddd3a22b, "drm_fb_helper_initial_config" },
	{ 0xeffd43ad, "drm_fb_helper_unregister_info" },
	{ 0x4e489bea, "drm_gem_put_pages" },
	{ 0xe799474c, "drm_gem_private_object_fini" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x8611f005, "drm_fb_helper_ioctl" },
	{ 0x6309808e, "drm_fb_helper_set_par" },
	{ 0xd9f271be, "drm_prime_gem_destroy" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "0A2DBE5C0E15DC70B9E9C60");
MODULE_INFO(rhelversion, "9.7");
