#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x2cb85f6c, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0x195a2824, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x88458ca2, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xdd1397fe, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0x1f6fc783, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0xe4dbfd0e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0c0fe76, "drm_client_register" },
	{ 0x179a75a1, "try_module_get" },
	{ 0xceb440e9, "drm_fb_helper_init" },
	{ 0x4f3afb24, "drm_fb_helper_debug_enter" },
	{ 0x4870ca27, "drm_fb_helper_lastclose" },
	{ 0x22b9ebcc, "drm_fb_helper_setcmap" },
	{ 0x715311f5, "drm_fb_helper_alloc_info" },
	{ 0x6312cb02, "drm_helper_disable_unused_functions" },
	{ 0x11451f7f, "drm_fb_helper_unprepare" },
	{ 0x37cc8fa1, "drm_fb_helper_fini" },
	{ 0x836e9cee, "drm_client_framebuffer_delete" },
	{ 0x7c40cdd0, "drm_client_framebuffer_create" },
	{ 0xedd1e3ad, "drm_fb_helper_deferred_io" },
	{ 0xfe380064, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8e303ca, "drm_driver_legacy_fb_format" },
	{ 0xee3ebe5e, "drm_fb_helper_fill_info" },
	{ 0xe22af3ae, "fb_deferred_io_init" },
	{ 0x31277694, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0x91cd070d, "drm_fb_helper_hotplug_event" },
	{ 0xbbcdaae0, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd311d6d, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x34e91454, "sys_imageblit" },
	{ 0x51c9760c, "drm_fb_helper_damage_range" },
	{ 0xcc347c34, "drm_fb_helper_blank" },
	{ 0xd90edca6, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc4c0860b, "drm_fb_helper_damage_area" },
	{ 0xb8d18357, "sys_fillrect" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd9a41c74, "module_put" },
	{ 0x35965db4, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd0e9d358, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xdff9fd59, "drm_fb_helper_prepare" },
	{ 0xc812d889, "_dev_err" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x3e87aa55, "__drm_dev_dbg" },
	{ 0x45e87939, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb56d7fbd, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x29e5e10f, "drm_client_release" },
	{ 0xb73ded17, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6dafdf51, "fb_sys_read" },
	{ 0xb2e74af4, "drm_fb_helper_debug_leave" },
	{ 0x66605337, "ttm_bo_mmap_obj" },
	{ 0xe7247c8b, "drm_client_buffer_vunmap_local" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xe9fbccfb, "ttm_bo_vmap" },
	{ 0x90699fb9, "drm_client_buffer_vmap_local" },
	{ 0xddd3a22b, "drm_fb_helper_initial_config" },
	{ 0xeffd43ad, "drm_fb_helper_unregister_info" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x8611f005, "drm_fb_helper_ioctl" },
	{ 0x6309808e, "drm_fb_helper_set_par" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,ttm,syscopyarea");


MODULE_INFO(srcversion, "F653457A327B48F862D2EFD");
MODULE_INFO(rhelversion, "9.7");
