#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xff915d04, "");
SYMBOL_CRC(drm_gem_vram_put, 0x23a34af2, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x6001fa50, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x610b0836, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xbcff7deb, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x2ef60e8a, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x7a364cd9, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x3f77050f, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x31b36883, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x5ca50c6f, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xfa2a723d, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x854b3b78, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x6c578a7e, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xd2a9f605, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x0ab6e092, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xa854661c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11409800, "ttm_range_man_init_nocheck" },
	{ 0x17e68d64, "ww_mutex_lock_interruptible" },
	{ 0x6dc390fe, "ttm_resource_manager_debug" },
	{ 0x2bbdd6ce, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xf977ac60, "ttm_range_man_fini_nocheck" },
	{ 0xd41ffaa9, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc56530a, "ttm_bo_pin" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0xdd1397fe, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4afc1d7, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x35965db4, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4272c9fe, "drm_gem_object_release" },
	{ 0x13ed1750, "ttm_tt_init" },
	{ 0x7412541c, "drm_gem_handle_create" },
	{ 0x74fb7579, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd65977da, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x5ca78e3c, "drm_debugfs_add_files" },
	{ 0x8afa735f, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x61d4d042, "ttm_device_init" },
	{ 0x64bf2d59, "ttm_bo_validate" },
	{ 0xd438ac63, "ttm_bo_move_to_lru_tail" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xe9fbccfb, "ttm_bo_vmap" },
	{ 0x79ee8725, "ttm_bo_put" },
	{ 0x2089ccb7, "ttm_resource_free" },
	{ 0xf5dc348f, "ttm_bo_move_memcpy" },
	{ 0x743cff6e, "ttm_tt_fini" },
	{ 0x3e66c346, "ttm_device_fini" },
	{ 0x7acfb325, "drm_gem_plane_helper_prepare_fb" },
	{ 0x7c55a0a7, "ttm_bo_eviction_valuable" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x2cb85f6c, "drm_gem_ttm_print_info" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
MODULE_INFO(rhelversion, "9.7");
