#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x3b6d7a42, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x4fba94c5, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x36e7387b, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x4fd1cb23, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xc0aac888, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xa79c18ee, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xdbb188b6, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x29971b14, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x221b3512, "_gpl");
SYMBOL_CRC(can_change_state, 0x1010da49, "_gpl");
SYMBOL_CRC(can_bus_off, 0x4d404708, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xe157b388, "_gpl");
SYMBOL_CRC(free_candev, 0x324049c1, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xc6918396, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x8b284d14, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x9d0391e7, "");
SYMBOL_CRC(open_candev, 0xfee9f51e, "_gpl");
SYMBOL_CRC(close_candev, 0xf46720a0, "_gpl");
SYMBOL_CRC(register_candev, 0xc00ff13a, "_gpl");
SYMBOL_CRC(unregister_candev, 0x20cee220, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x95bf9eac, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xd1a5fde7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b6daf83, "skb_put" },
	{ 0x38a01d9c, "gpiod_set_value" },
	{ 0x464c97ad, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf91641d8, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8d6f7638, "unregister_netdev" },
	{ 0xca65fb66, "rtnl_link_register" },
	{ 0xeb95cf1f, "netdev_warn" },
	{ 0x371e4a5f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfc38e3da, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8efca700, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xcc3f9d0c, "device_property_read_u32_array" },
	{ 0xa162ec67, "rtnl_link_unregister" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x2a756f96, "register_netdev" },
	{ 0xac259354, "free_netdev" },
	{ 0x9e821a03, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3fcb958e, "netif_rx" },
	{ 0xedd11cce, "__netdev_alloc_skb" },
	{ 0x25bf75d2, "skb_trim" },
	{ 0xaa74f5aa, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63c377fa, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x60247697, "skb_clone" },
	{ 0xd0f89a6, "netif_carrier_on" },
	{ 0x9603863f, "dev_err_probe" },
	{ 0x79bad2bd, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xda344500, "skb_clone_tx_timestamp" },
	{ 0xca043884, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
