#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x81ec0659, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x64c83c29, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xb6aa411f, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x4a39ff32, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xb36c63c1, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x8c1efbb8, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4991cd1, "mdiobus_alloc_size" },
	{ 0x953338e2, "__tracepoint_xdp_exception" },
	{ 0x4654453, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9d353ce0, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6463369e, "bpf_prog_put" },
	{ 0xa8dc4c97, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x51cd8ef0, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x792a873b, "devm_kmalloc" },
	{ 0x5471e919, "eth_mac_addr" },
	{ 0x4b6daf83, "skb_put" },
	{ 0x464c97ad, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x783e8eff, "netdev_update_features" },
	{ 0xf91641d8, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbbe5e5c8, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x87e1e1f3, "hrtimer_try_to_cancel" },
	{ 0x4ab1c334, "bpf_warn_invalid_xdp_action" },
	{ 0x8d6f7638, "unregister_netdev" },
	{ 0x6ab2aaed, "xdp_convert_zc_to_xdp_frame" },
	{ 0x4ae63e0a, "xdp_features_set_redirect_target" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x6b19f771, "dma_unmap_page_attrs" },
	{ 0x8d007925, "hrtimer_init" },
	{ 0xa1ba9803, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x2201705c, "ptp_clock_index" },
	{ 0xdee6f20e, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xdec09d54, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd33ffff1, "page_pool_destroy" },
	{ 0x643b52e7, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeb95cf1f, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf545e841, "__wake_up" },
	{ 0xebcff66b, "flow_rule_match_ipv4_addrs" },
	{ 0xf7945aa, "xdp_rxq_info_unreg_mem_model" },
	{ 0x8a097a55, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xfc38e3da, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1dbe3fd5, "phylink_limit_mac_speed" },
	{ 0xb702fcb, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0x2f5e82bf, "pinctrl_pm_select_default_state" },
	{ 0xf83fdfad, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2f38fb72, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ce51967, "__pm_runtime_set_status" },
	{ 0x1170090d, "dma_map_page_attrs" },
	{ 0xc93d5d94, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xbca1ee0f, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4b4735b7, "pm_wakeup_dev_event" },
	{ 0x1862723, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x108cf59e, "__napi_schedule" },
	{ 0xf81f71db, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x769eef98, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa0cf1a6, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xe2523cd2, "rt_write_unlock" },
	{ 0x39341ec8, "_dev_info" },
	{ 0xafa34845, "xpcs_create_mdiodev" },
	{ 0x295cfe02, "napi_gro_receive" },
	{ 0xd6a0667f, "netif_device_attach" },
	{ 0xfc810f73, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x4913c523, "netdev_pick_tx" },
	{ 0x476e9865, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x616979f3, "xdp_rxq_info_is_reg" },
	{ 0x2b9a1f8, "devm_alloc_etherdev_mqs" },
	{ 0x6038441, "flow_block_cb_setup_simple" },
	{ 0xcb8818cf, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x7d57ef1e, "dev_open" },
	{ 0xfeb3a112, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc812d889, "_dev_err" },
	{ 0xe88e4138, "xpcs_destroy" },
	{ 0x8c28c7ff, "pinctrl_pm_select_sleep_state" },
	{ 0x5d66609d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfc95943b, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x432a4f7a, "ptp_clock_register" },
	{ 0xa026c09, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x780bd261, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xf6eb94b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x44bfa9d0, "dma_alloc_attrs" },
	{ 0x1dea6099, "debugfs_remove" },
	{ 0x36fdc13e, "napi_enable" },
	{ 0xda7a81f9, "xpcs_get_interfaces" },
	{ 0x2a756f96, "register_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2c166556, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xccee44f7, "phylink_generic_validate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe2268a5d, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x3e94948d, "__SCK__tp_func_xdp_exception" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x6b243a7, "netif_tx_wake_queue" },
	{ 0x1f8115bf, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x643f50bb, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x1d9fd8b8, "flow_rule_match_ports" },
	{ 0xc544da7d, "phylink_fwnode_phy_connect" },
	{ 0x3549c401, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x68a02e1d, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5781e717, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x43452913, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0xa328e148, "ptp_clock_unregister" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x45274be0, "xpcs_get_an_mode" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaa74f5aa, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72bac861, "xdp_return_frame_rx_napi" },
	{ 0x214648be, "netdev_alert" },
	{ 0x3ba9632c, "dma_set_coherent_mask" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6c2c6942, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x975bf523, "rt_read_lock" },
	{ 0x5b6d981b, "debugfs_rename" },
	{ 0x4f74856d, "debugfs_create_file" },
	{ 0x96e76765, "dma_free_attrs" },
	{ 0x9bf374b4, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe00f8891, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x77f07953, "flow_rule_match_vlan" },
	{ 0x1e3f87a1, "xdp_rxq_info_unreg" },
	{ 0xddd87048, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x455c1f32, "__xdp_rxq_info_reg" },
	{ 0xf1e07934, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63c377fa, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x260a56a9, "mdiobus_get_phy" },
	{ 0xd0f89a6, "netif_carrier_on" },
	{ 0xf17528ce, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x5e30128c, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e54d1c7, "hrtimer_cancel" },
	{ 0x366c818f, "single_release" },
	{ 0x4b224ccf, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x9603863f, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x46da5179, "xdp_master_redirect" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x1565ad07, "napi_schedule_prep" },
	{ 0xeff43e2c, "napi_disable" },
	{ 0x79bad2bd, "dev_kfree_skb_any_reason" },
	{ 0x4b437674, "eth_header_parse_protocol" },
	{ 0x9f7767fe, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x39e4541b, "single_open" },
	{ 0x1c92ea48, "__pm_runtime_disable" },
	{ 0xc28c6012, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xda344500, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xd1a165e8, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b545a92, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x12b85bcd, "__dev_fwnode" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xca043884, "netdev_info" },
	{ 0xe6311fee, "page_pool_put_unrefed_page" },
	{ 0x73cbba54, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "D82DAE90E6D3E79CB7C5FF5");
MODULE_INFO(rhelversion, "9.7");
