#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xc2de2476, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xa420a405, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98fe088c, "netdev_core_stats_inc" },
	{ 0xdf390539, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x464c97ad, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x99d0630d, "___pskb_trim" },
	{ 0xbfa64007, "__skb_get_hash_symmetric_net" },
	{ 0xf28c07cd, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x74893dde, "sock_init_data_uid" },
	{ 0x68520234, "sk_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x295cfe02, "napi_gro_receive" },
	{ 0xc93d5d94, "napi_complete_done" },
	{ 0x643b52e7, "xdp_do_redirect" },
	{ 0x4ab1c334, "bpf_warn_invalid_xdp_action" },
	{ 0x953338e2, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x72bac861, "xdp_return_frame_rx_napi" },
	{ 0x6ab2aaed, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xf393d0f9, "build_skb" },
	{ 0x4b6daf83, "skb_put" },
	{ 0x463dc588, "skb_set_owner_w" },
	{ 0xfe1b8995, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4a4f54c7, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x46da5179, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb049659e, "__folio_put" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x757da32b, "add_wait_queue" },
	{ 0x5c107c69, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9ff6a96f, "napi_get_frags" },
	{ 0x4c719fc0, "iov_iter_single_seg_count" },
	{ 0xf6963293, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb802fab2, "skb_queue_purge_reason" },
	{ 0xeff43e2c, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1e3f87a1, "xdp_rxq_info_unreg" },
	{ 0x8a097a55, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd9a41c74, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xa026c09, "netif_set_real_num_tx_queues" },
	{ 0x780bd261, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xebd62cb6, "unregister_netdevice_queue" },
	{ 0xd5bde8a5, "netdev_state_change" },
	{ 0xf91641d8, "consume_skb" },
	{ 0x7562aca8, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x6da44b92, "__skb_flow_dissect" },
	{ 0xb849a158, "skb_partial_csum_set" },
	{ 0xf75c1a27, "__pskb_pull_tail" },
	{ 0x4fb1ed3d, "_copy_from_iter" },
	{ 0x58561f60, "iov_iter_npages" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x8b673d36, "skb_copy_datagram_from_iter" },
	{ 0x2f38fb72, "eth_type_trans" },
	{ 0x460fdb46, "sock_alloc_send_pskb" },
	{ 0x767700ca, "zerocopy_sg_from_iter" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xb8f34dc7, "do_xdp_generic" },
	{ 0x4fc306ea, "iov_iter_revert" },
	{ 0x17cba899, "skb_push" },
	{ 0x7c07a46c, "eth_get_headlen" },
	{ 0x1565ad07, "napi_schedule_prep" },
	{ 0x36e0abb4, "napi_gro_frags" },
	{ 0x108cf59e, "__napi_schedule" },
	{ 0x43763ba6, "__page_frag_cache_drain" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x616979f3, "xdp_rxq_info_is_reg" },
	{ 0x455c1f32, "__xdp_rxq_info_reg" },
	{ 0xf83fdfad, "xdp_rxq_info_reg_mem_model" },
	{ 0xbbe5e5c8, "netif_napi_add_weight" },
	{ 0x36fdc13e, "napi_enable" },
	{ 0xc199fa0e, "lock_sock_nested" },
	{ 0xf21b6ced, "sk_attach_filter" },
	{ 0xb62d4d8, "release_sock" },
	{ 0xd8b48c75, "__dev_get_by_name" },
	{ 0x5ab367f8, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x8efca700, "alloc_netdev_mqs" },
	{ 0x62ba71a0, "ip_tunnel_header_ops" },
	{ 0x3b644aa3, "register_netdevice" },
	{ 0x6b243a7, "netif_tx_wake_queue" },
	{ 0x5436bc6a, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xac259354, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf76dade2, "get_net_ns" },
	{ 0xeb55d07e, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x342f330d, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb96fd6c0, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x783e8eff, "netdev_update_features" },
	{ 0xa6f2aedf, "sk_detach_filter" },
	{ 0xcb9bfdb, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3fa8476, "make_kuid" },
	{ 0x9150a8ce, "init_user_ns" },
	{ 0x2de3edf8, "from_kuid" },
	{ 0xa664923a, "call_netdevice_notifiers" },
	{ 0x5664b174, "__module_get" },
	{ 0x77bd9c55, "from_kgid" },
	{ 0x16cb7e6, "passthru_features_check" },
	{ 0x5471e919, "eth_mac_addr" },
	{ 0x3bcebd04, "eth_validate_addr" },
	{ 0xe2268a5d, "ethtool_op_get_link" },
	{ 0x6b545a92, "ethtool_op_get_ts_info" },
	{ 0x3e94948d, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x70d4ed11, "fasync_helper" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x1ebe7100, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xca043884, "netdev_info" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x83fe90b3, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x5740519a, "from_kgid_munged" },
	{ 0x39afba60, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x51a8b1f6, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc878fed, "dev_get_tstats64" },
	{ 0x362dbe7f, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1b7d5bf1, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0xca65fb66, "rtnl_link_register" },
	{ 0x7797e1dc, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x47909c16, "misc_deregister" },
	{ 0xa162ec67, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfc95943b, "xdp_return_frame" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x2c4b9bd0, "__wake_up_sync_key" },
	{ 0x583484a6, "kill_fasync" },
	{ 0xd0f89a6, "netif_carrier_on" },
	{ 0x63c377fa, "netif_carrier_off" },
	{ 0x6463369e, "bpf_prog_put" },
	{ 0xcf18f613, "_copy_to_iter" },
	{ 0xa0a13a6d, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x6a5f394c, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfc38e3da, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf7db85f4, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xda344500, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfd65a6d7, "skb_copy_ubufs" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A61D8AF9C02EAEB79D30D39");
MODULE_INFO(rhelversion, "9.7");
