#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x73955133, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x04e2f852, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x12d8b32e, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xf3180f6d, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xe54b2911, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x1fabd1a7, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x8d9145ef, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x1e47b15d, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x6ab83371, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xef6b6655, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x9895e8bf, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x2e7f72d3, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x226d5b0f, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xb6b97125, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x48c2347f, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x46b53bf9, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xbc92d625, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x0661335b, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xaa3ecd5b, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x74db61d3, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x07e270ab, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x74677720, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x4706a3fc, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x77c00375, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x843d6c60, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x0e047215, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x9856c824, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x3fc42f24, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xce8169f6, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x5b84a4af, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x96f2bbc8, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x3473e544, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xea1e99cb, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x4f91e987, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x75d38088, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xf28dcc06, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xb8211cf1, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xa7b100c1, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x70b65ba7, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x89914d53, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x8d1c5426, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x305ee855, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xabaed36b, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x1052ff2a, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x518861a1, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x4625605c, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x1d32153b, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x7d27f660, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x6535d747, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x5c80154c, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xca2caf65, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xd0f28ec4, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xde26613f, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xda0a346d, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x7ce84c8d, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x131d744f, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x0cbe1aba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x592eb0f6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x18e95211, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x2b72e486, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x259096d2, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xfe000b31, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x5612fb18, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x9370be61, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6eaf0fbe, "set_capacity_and_notify" },
	{ 0xa8e39878, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc5123673, "set_disk_ro" },
	{ 0x2de81811, "__blk_alloc_disk" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0x179a75a1, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6b4b3052, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe97faa83, "ida_destroy" },
	{ 0x6d646579, "device_remove_file_self" },
	{ 0x44579bf5, "param_ops_uint" },
	{ 0xfa2a893c, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x229f10fa, "dev_set_name" },
	{ 0x24583a73, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xf8aa7e30, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x5395d59f, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xe83f56d6, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x161da2f8, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x93071c16, "queue_limits_stack_bdev" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xa157d7fc, "device_initialize" },
	{ 0x9c3e0d2e, "blk_mq_unquiesce_queue" },
	{ 0x81f9d89b, "blk_mq_quiesce_queue" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x785bb915, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae26dfa3, "bpf_trace_run2" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0x37981dc5, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0xf545e841, "__wake_up" },
	{ 0x3982789a, "synchronize_srcu" },
	{ 0x84e6824e, "param_ops_byte" },
	{ 0xf2e90010, "kmem_cache_create" },
	{ 0x68ca4292, "get_device" },
	{ 0xea96e75b, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe29c4ab5, "__blk_mq_alloc_disk" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xfe00d37c, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x95b58609, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x52b4cbeb, "blk_mq_alloc_tag_set" },
	{ 0x72062492, "blk_rq_is_poll" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x5453c983, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4bd6b70, "mempool_create" },
	{ 0xc6ceacd7, "put_disk" },
	{ 0xbcf1ca6c, "crypto_alloc_kpp" },
	{ 0x5373814d, "cdev_device_add" },
	{ 0x2a67a819, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x54c56782, "blk_execute_rq" },
	{ 0xbabb20f1, "put_device" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0x9817a163, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xd4724e2a, "kmalloc_node_trace" },
	{ 0xf5f143db, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x94742ba, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xa6ee226e, "__free_pages" },
	{ 0x39341ec8, "_dev_info" },
	{ 0xebebdfc, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd9a41c74, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x140c2e0a, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa2c9d39d, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xacee2f78, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xf71cc002, "blk_mq_quiesce_tagset" },
	{ 0x420cb1b, "kobject_uevent_env" },
	{ 0x2f0bfb60, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb26c872f, "init_srcu_struct" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0xc2d87e74, "__SCK__tp_func_block_bio_remap" },
	{ 0xc812d889, "_dev_err" },
	{ 0x4cde7303, "blk_revalidate_disk_zones" },
	{ 0xb178cf58, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa1dc4ea, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xfec6c93f, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x939460b6, "sysfs_remove_link" },
	{ 0x8cf80b8b, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5071c1f2, "__srcu_read_lock" },
	{ 0x83c635c8, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x55039264, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xee54861e, "submit_bio_noacct" },
	{ 0x575e4f7b, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x5fdea123, "blk_sync_queue" },
	{ 0xe577d9f7, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0xe3a212c, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x64ccc60d, "blk_mq_alloc_request_hctx" },
	{ 0x909f1597, "blk_mq_alloc_request" },
	{ 0xab735569, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x42f4e566, "crypto_shash_update" },
	{ 0xc64972ae, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe24d6b48, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xee4bce0f, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xce620837, "cleanup_srcu_struct" },
	{ 0x52f5ff93, "blk_freeze_queue_start_non_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0x458ffaa3, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x42cdd832, "blk_put_queue" },
	{ 0x1ffcf030, "bpf_trace_run1" },
	{ 0xafeb2562, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x57fd393e, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xaa5d388c, "blk_rq_unmap_user" },
	{ 0xca9efd5b, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe5d391ed, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x7191cbd0, "xa_erase" },
	{ 0x8ab7fd5a, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9c86b57b, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0x66b1ae8, "crypto_shash_final" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x30257dd5, "param_ops_bool" },
	{ 0x7359c025, "blk_mq_destroy_queue" },
	{ 0x42781b5c, "xa_destroy" },
	{ 0xd1b256e8, "blk_freeze_queue_start" },
	{ 0x66d67875, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xe3910d92, "xa_find" },
	{ 0xb7b89f49, "alloc_pages" },
	{ 0x5cc0427c, "mempool_destroy" },
	{ 0x5546f3fd, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x7b97cb6c, "__tracepoint_block_bio_complete" },
	{ 0x6fb71909, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x540dc142, "__srcu_read_unlock" },
	{ 0xd23ba673, "__tracepoint_block_bio_remap" },
	{ 0xc59029c1, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x99db716e, "queue_limits_commit_update" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3f0414e, "xa_find_after" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xff19d115, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xb472ae1d, "blk_mq_freeze_queue_nomemsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x358c5176, "crypto_alloc_shash" },
	{ 0xbbdc671a, "blk_mq_freeze_queue_wait" },
	{ 0x110eeb73, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x656e5514, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xc79ac12, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x71153254, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdd6398d3, "bdev_end_io_acct" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x336002ac, "blk_steal_bios" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "A87C20143DD957DFF9B1BAB");
MODULE_INFO(rhelversion, "9.7");
