#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xd75fb8d8, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xc1763d9a, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x45b5a2f7, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x6ed952e0, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x07935596, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x82d43971, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x7ed0f944, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xe62959b9, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x9e341b04, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xd141141b, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x2dcb705c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7e0c1aa, "filp_open" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0x81e1abb1, "bdev_file_open_by_path" },
	{ 0x179a75a1, "try_module_get" },
	{ 0x47a4c1b7, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xe97faa83, "ida_destroy" },
	{ 0x6e6d61e2, "config_group_init" },
	{ 0x22c93eba, "config_group_find_item" },
	{ 0xe15ad768, "radix_tree_insert" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf09fb485, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb30e1753, "radix_tree_lookup" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x785bb915, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xae26dfa3, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0xe349bf08, "pci_p2pmem_free_sgl" },
	{ 0xf2e90010, "kmem_cache_create" },
	{ 0x68ca4292, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfe00d37c, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6b3cf5d, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x5453c983, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4bd6b70, "mempool_create" },
	{ 0xbcf1ca6c, "crypto_alloc_kpp" },
	{ 0x3e68dbb5, "vfs_fallocate" },
	{ 0xbb980e4a, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xbabb20f1, "put_device" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xf5f143db, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x43a9b7b8, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x979ebb43, "submit_bio" },
	{ 0xd9a41c74, "module_put" },
	{ 0xcd8dd452, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa2c9d39d, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xaee85acb, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x3e88a475, "bio_put" },
	{ 0xc171608c, "radix_tree_delete" },
	{ 0x2f0bfb60, "bio_endio" },
	{ 0xbc74266b, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0xf0a123f6, "fput" },
	{ 0x2ddf1753, "down_write" },
	{ 0xf5102d7d, "up_write" },
	{ 0xb178cf58, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe4d75e1a, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x7a852c0a, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x575e4f7b, "xa_load" },
	{ 0xb6c452d, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x19d10d2a, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x5840d59e, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1f2a4dc4, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xab735569, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf8e5f9fe, "pci_p2pdma_enable_store" },
	{ 0xb3002d68, "pci_p2pmem_alloc_sgl" },
	{ 0xcd79918, "bio_add_page" },
	{ 0x42f4e566, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x94b5c367, "bio_integrity_alloc" },
	{ 0x1d099a23, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1ffcf030, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xbde60567, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x75e0b7aa, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x7d39d5cc, "pci_p2pdma_enable_show" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x2a5a6826, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7191cbd0, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0x66b1ae8, "crypto_shash_final" },
	{ 0x8e98fe17, "vfs_fsync" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x42781b5c, "xa_destroy" },
	{ 0xe3910d92, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb018bfe2, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5cc0427c, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x745a5bd1, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xb426c748, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3f0414e, "xa_find_after" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe2f2063a, "pci_p2pmem_find_many" },
	{ 0x358c5176, "crypto_alloc_shash" },
	{ 0x110eeb73, "nvme_auth_gen_privkey" },
	{ 0x24509552, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf95d756c, "up_read" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x1a0169cb, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xebde5a78, "submit_bio_wait" },
	{ 0xa7ca3940, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xeb7fa5e2, "__blkdev_issue_discard" },
	{ 0x4f219e85, "fs_bio_set" },
	{ 0x89454a63, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "0F31004C3ED298DF0B1D2C1");
MODULE_INFO(rhelversion, "9.7");
