#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x432a4f7a, "");
SYMBOL_CRC(ptp_clock_unregister, 0xa328e148, "");
SYMBOL_CRC(ptp_clock_event, 0x68a02e1d, "");
SYMBOL_CRC(ptp_clock_index, 0x2201705c, "");
SYMBOL_CRC(ptp_find_pin, 0x4c24243b, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0xef7b0a3a, "");
SYMBOL_CRC(ptp_schedule_worker, 0xc4ded0a3, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0xb696adab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2aab6e07, "kthread_create_worker" },
	{ 0xe97faa83, "ida_destroy" },
	{ 0xf2caa919, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x229f10fa, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x303b2422, "pps_register_source" },
	{ 0x37e1914, "finish_wait" },
	{ 0x94552306, "class_destroy" },
	{ 0xa157d7fc, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa22d0c82, "device_for_each_child" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0xf545e841, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbabb20f1, "put_device" },
	{ 0x6879ffaa, "device_for_each_child_reverse" },
	{ 0x39341ec8, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x99324aa4, "kthread_mod_delayed_work" },
	{ 0xc812d889, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14969331, "class_create" },
	{ 0x4c3b5166, "pps_event" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0xab735569, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb0a05a16, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x99cd0b02, "pps_unregister_source" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x864cd699, "kthread_destroy_worker" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xfccb27a3, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8da077d4, "kthread_queue_delayed_work" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xb7f68170, "posix_clock_unregister" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "FC8EB417587A522235EF06A");
MODULE_INFO(rhelversion, "9.7");
