#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xb2663e07, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xf31f7c4b, "_gpl");
SYMBOL_CRC(sas_free_task, 0x0053b374, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xa0021b40, "");
SYMBOL_CRC(sas_resume_ha, 0xbb0e32f1, "");
SYMBOL_CRC(sas_suspend_ha, 0x757f66dc, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x105fa520, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x798a1edc, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x273039fc, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xddddf90b, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x202c4abf, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xe4663118, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xaeb880e3, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x6e39cb0c, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x43b879a1, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x553d0480, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xadf4abf7, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xcb299815, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x9bdf1036, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xf2cb43d2, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xe8d45c8f, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x221de722, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xd2683af0, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x84bbca85, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xfd0a6e84, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x73d9af84, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xa3dc3d9e, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xcf2ec1e6, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x38b67e04, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xa0ff4b52, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fa711ea, "ata_qc_complete" },
	{ 0xc96a6c4b, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7124eb09, "sas_rphy_remove" },
	{ 0x8b2aa8f7, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xdee8f65d, "ata_sas_port_destroy" },
	{ 0xf9f48c65, "bsg_job_done" },
	{ 0xa8ecae28, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x14dcc540, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x4435612d, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x3e305e5d, "scsi_schedule_eh" },
	{ 0xa8b325f0, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xf17f26a7, "ata_host_init" },
	{ 0x47023c5a, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xed68744e, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1e804351, "sas_port_get_phy" },
	{ 0xb178ec0a, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0xf545e841, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xf2e90010, "kmem_cache_create" },
	{ 0x68ca4292, "get_device" },
	{ 0x2dff2fc0, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xdc90c208, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbabb20f1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x424c89b7, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x55b76f76, "kmem_cache_alloc" },
	{ 0x39341ec8, "_dev_info" },
	{ 0xf31a159d, "sas_phy_free" },
	{ 0xb8831858, "scsi_eh_finish_cmd" },
	{ 0x1b8cdc87, "ata_sas_port_alloc" },
	{ 0x6b144cf8, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2766ab07, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x992dbc6, "sas_port_mark_backlink" },
	{ 0x39fa094, "kmem_cache_free" },
	{ 0x8ca89f4f, "ata_std_qc_defer" },
	{ 0x925b07b3, "ata_sas_port_start" },
	{ 0xc9671ae7, "ata_scsi_port_error_handler" },
	{ 0x730a8029, "ata_change_queue_depth" },
	{ 0x15306310, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x26b3dc51, "sas_end_device_alloc" },
	{ 0xb0a05a16, "mutex_lock_interruptible" },
	{ 0x50dbee13, "sas_read_port_mode_page" },
	{ 0x386ee756, "sas_expander_alloc" },
	{ 0xc92f2884, "ata_sas_port_stop" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x3dada5d8, "sas_rphy_delete" },
	{ 0x997f50a3, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc74a737d, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xba373c3e, "scsi_host_busy" },
	{ 0xd1325817, "ata_sas_async_probe" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x7e535131, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d2ce7ce, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x355d0cea, "ata_sas_port_suspend" },
	{ 0x8dded97d, "sas_rphy_add" },
	{ 0x8ee23518, "sas_port_delete_phy" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc354d0b7, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x92ed5377, "sas_port_add_phy" },
	{ 0xc0e3b424, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x36cdd4a6, "scsi_unblock_requests" },
	{ 0x60fa212, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x6bf1c568, "ata_host_put" },
	{ 0xe941f011, "sas_port_free" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xa2c00621, "ata_std_sched_eh" },
	{ 0xf6135529, "scsi_block_requests" },
	{ 0x10315351, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x80cbfaab, "sas_remove_children" },
	{ 0x5302790b, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8a9524eb, "ata_port_wait_eh" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
