#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xdeb6c486, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xa2520e6c, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x8a76b8b4, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x5d3bbd66, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x3df60896, "");
SYMBOL_CRC(sdw_show_ping_status, 0x1426ecc4, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x873ccef4, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x4f0889ef, "");
SYMBOL_CRC(sdw_write_no_pm, 0x91df65bc, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xede23481, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x6e99694c, "");
SYMBOL_CRC(sdw_read_no_pm, 0x5323bfc5, "");
SYMBOL_CRC(sdw_update_no_pm, 0x0297bfc5, "");
SYMBOL_CRC(sdw_update, 0x99b45883, "");
SYMBOL_CRC(sdw_nread, 0x8581dd79, "");
SYMBOL_CRC(sdw_nwrite, 0x9861f75e, "");
SYMBOL_CRC(sdw_read, 0x21988578, "");
SYMBOL_CRC(sdw_write, 0x3b74bd4e, "");
SYMBOL_CRC(sdw_compare_devid, 0x9f5d358a, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x2099a30d, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xa356f252, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xcd87cc9b, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xfb856785, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xdbcf13d6, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x55507c67, "");
SYMBOL_CRC(sdw_slave_add, 0x7c048467, "");
SYMBOL_CRC(sdw_master_read_prop, 0x87cf3097, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x8c9077a2, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x989622e0, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x600724a0, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xe223fff1, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x1d8aece8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xaaba76c3, "debugfs_create_str" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0x2c228d75, "device_property_present" },
	{ 0x8d5e447, "devm_device_add_groups" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xba1e487e, "is_acpi_device_node" },
	{ 0x3bfd5767, "simple_attr_open" },
	{ 0x25e43ee6, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x792a873b, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x229f10fa, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x77218bbd, "device_unregister" },
	{ 0x3089093b, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x764d4ee7, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xa8b325f0, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xdec09d54, "seq_lseek" },
	{ 0x3302eae0, "dev_pm_domain_attach" },
	{ 0xc859c7ef, "devm_device_add_group" },
	{ 0xa22d0c82, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x371bbd2d, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ce51967, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbabb20f1, "put_device" },
	{ 0xf81f71db, "pm_runtime_enable" },
	{ 0xcc3f9d0c, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x17e3a01, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x3fc1d64d, "dev_pm_domain_detach" },
	{ 0x196b8221, "pm_generic_runtime_suspend" },
	{ 0xf3776404, "debugfs_attr_read" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x28c2b983, "bus_unregister" },
	{ 0xc812d889, "_dev_err" },
	{ 0xd62e173, "simple_attr_release" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x1dea6099, "debugfs_remove" },
	{ 0xab735569, "ida_free" },
	{ 0xcc8c6c9d, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3ca005fd, "device_register" },
	{ 0x99b692d6, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x4adc0a2a, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x92289c47, "devm_kasprintf" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3be4114, "fwnode_property_present" },
	{ 0x4f74856d, "debugfs_create_file" },
	{ 0x9bf374b4, "__pm_runtime_resume" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xacb16c4, "device_get_named_child_node" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xce7321d8, "irq_create_mapping_affinity" },
	{ 0x366c818f, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xbcf5a841, "acpi_dev_for_each_child" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x1b1fa8c9, "__pm_runtime_suspend" },
	{ 0x33d2ea7f, "irq_set_chip" },
	{ 0x8e24cb1d, "__pm_runtime_use_autosuspend" },
	{ 0x39e4541b, "single_open" },
	{ 0x1c92ea48, "__pm_runtime_disable" },
	{ 0xc28c6012, "debugfs_create_dir" },
	{ 0xa760d61d, "driver_register" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xd1a165e8, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x1401279b, "bus_register" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DF7AD7DD390B1F51ACFC414");
MODULE_INFO(rhelversion, "9.7");
