#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb85e3b9, "usb_kill_urb" },
	{ 0xea9d88a6, "usb_deregister" },
	{ 0xc4d998d8, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x6883e9c8, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x96111dd8, "usb_anchor_urb" },
	{ 0xf4ed84c3, "usb_submit_urb" },
	{ 0x522e5faa, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69d1e521, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3362ad8d, "usb_kill_anchored_urbs" },
	{ 0xc0e1b4d6, "scsi_remove_host" },
	{ 0x897677e5, "scsi_host_put" },
	{ 0xa8569c7d, "usb_lock_device_for_reset" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xd944c9d8, "scsi_host_alloc" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0xfc879ac0, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd0cd8003, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x922043b7, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x57b18687, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x4f03562c, "usb_set_interface" },
	{ 0xea0332d9, "usb_reset_device" },
	{ 0xca4963de, "usb_alloc_streams" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0xc6ed85a8, "scsi_report_bus_reset" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x36cdd4a6, "scsi_unblock_requests" },
	{ 0x454ae993, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xef539b24, "usb_wait_anchor_empty_timeout" },
	{ 0xf6135529, "scsi_block_requests" },
	{ 0x60a89143, "scmd_printk" },
	{ 0xd2ef6270, "scsi_print_command" },
	{ 0x9dc03459, "usb_free_urb" },
	{ 0xfcb3bafd, "scsi_scan_host" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xc812d889, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb5ea1bd5, "sdev_prefix_printk" },
	{ 0x5302790b, "scsi_change_queue_depth" },
	{ 0x997f50a3, "scsi_is_host_device" },
	{ 0x9c107025, "usb_get_urb" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "9CB54CC62355B7FD02CB170");
MODULE_INFO(rhelversion, "9.7");
