#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x7e48c66a, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x54f624d1, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x77b2e448, "_gpl");
SYMBOL_CRC(fat_scan, 0x27e83a06, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x69407455, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xaf2bc535, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x500ab0dd, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x4d1799e5, "_gpl");
SYMBOL_CRC(fat_getattr, 0x0ee0c9b8, "_gpl");
SYMBOL_CRC(fat_setattr, 0xdcd0feaa, "_gpl");
SYMBOL_CRC(fat_attach, 0xf294e664, "_gpl");
SYMBOL_CRC(fat_detach, 0xb0465817, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x19713fd4, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x4ebf8217, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x4dc35897, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x0aae378e, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x2e6c384d, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x7fe6d2fd, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x518f93d3, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xdd86ec33, "_gpl");
SYMBOL_CRC(fat_update_time, 0x3137b90d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x443e3113, "filemap_fdatawrite" },
	{ 0x280528c5, "generic_fillattr" },
	{ 0x313fc49d, "setattr_prepare" },
	{ 0xff94e613, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x832b5bc7, "__init_rwsem" },
	{ 0x495224e6, "sync_blockdev_nowait" },
	{ 0x5b093fa5, "make_vfsgid" },
	{ 0x47a4c1b7, "blk_start_plug" },
	{ 0x64ba77, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x972f041e, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xee44c09, "generic_file_splice_read" },
	{ 0x24d278e6, "new_inode" },
	{ 0x4c901947, "mark_buffer_dirty" },
	{ 0xa0dd53a7, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1eda0c57, "__find_get_block" },
	{ 0xbe8e8d4a, "filemap_fdatawrite_range" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x84359000, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xba30dc26, "__blockdev_direct_IO" },
	{ 0xc3839e44, "d_make_root" },
	{ 0xaf4dbc89, "__bforget" },
	{ 0x1460d3a9, "sb_set_blocksize" },
	{ 0xa327c985, "block_truncate_page" },
	{ 0x2a48a43d, "write_dirty_buffer" },
	{ 0xefc21c63, "sync_filesystem" },
	{ 0x58a198b4, "fsnotify" },
	{ 0x18396ae4, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6905b7dc, "from_vfsuid" },
	{ 0xbc3172ea, "inode_dio_wait" },
	{ 0x6c444666, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x466791cf, "cont_write_begin" },
	{ 0x22df1e53, "iput" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xeecfe62, "iter_file_splice_write" },
	{ 0x7726c971, "generic_file_write_iter" },
	{ 0xf2e90010, "kmem_cache_create" },
	{ 0x70bbb999, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1c95f298, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xcf9409a5, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xa89acefd, "block_invalidate_folio" },
	{ 0xeb8d356, "__breadahead" },
	{ 0x67366a3a, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0256a47, "load_nls" },
	{ 0x850fd80a, "generic_cont_expand_simple" },
	{ 0x3fa8476, "make_kuid" },
	{ 0x58f79ec6, "truncate_inode_pages_final" },
	{ 0x2d5444c1, "block_write_full_page" },
	{ 0xfd1b49ab, "generic_file_mmap" },
	{ 0x685acdcc, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7e3b0df1, "ilookup" },
	{ 0x55b76f76, "kmem_cache_alloc" },
	{ 0xbd5fe815, "invalidate_inode_buffers" },
	{ 0x43a9b7b8, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1112fd2d, "mnt_drop_write_file" },
	{ 0xfcaa4967, "inode_init_once" },
	{ 0xc0bd567d, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x2cba8712, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2ddf1753, "down_write" },
	{ 0xf5102d7d, "up_write" },
	{ 0xa5cd824b, "generic_file_read_iter" },
	{ 0x2d999795, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x55e06e47, "truncate_pagecache" },
	{ 0x3242f2ee, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe5b4d531, "setattr_copy" },
	{ 0xb0850d22, "__wait_on_buffer" },
	{ 0x1f5cbc5c, "set_nlink" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x39fa094, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x54dd0b9b, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xbce8ddb8, "from_vfsgid" },
	{ 0x3df62fb7, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xae9706be, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe124e0f1, "__bread_gfp" },
	{ 0xf765e23f, "block_dirty_folio" },
	{ 0xdea2e6d6, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x984a4ee9, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb96fd6c0, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x5740519a, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x7a368f7, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb21fdac2, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7ad4fdf8, "igrab" },
	{ 0xd5a14aef, "__getblk_gfp" },
	{ 0xd4d6d278, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xc8ec643e, "mpage_readahead" },
	{ 0x8553b35f, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x9150a8ce, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xdaf938cb, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x745a5bd1, "blkdev_issue_flush" },
	{ 0xfdca33ce, "seq_puts" },
	{ 0x37497c27, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x39afba60, "from_kuid_munged" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xfbeacf77, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd428b4, "kmem_cache_alloc_lru" },
	{ 0x8a36f248, "__mark_inode_dirty" },
	{ 0x4ff06c40, "generic_file_llseek" },
	{ 0x587db1e3, "unload_nls" },
	{ 0xf95d756c, "up_read" },
	{ 0xb9c85162, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xe44e299b, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0x148291f5, "blkdev_issue_discard" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
