#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x05076463, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x2dbb4326, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xf70eac80, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xce746ab1, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x12eb362e, "");
SYMBOL_CRC(fuse_abort_conn, 0x898af88d, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xbbe71a03, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xcf49fd77, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x9e30f7ef, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x33546028, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x66c796c3, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x907cbec0, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x9679fc00, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xd24d8004, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xa59c5d6b, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x704f7534, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x203213c5, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x3dea82fd, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xd50f20fd, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xed22c415, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xd7066d29, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x7b2f8438, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xdea32b80, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x04bf2dac, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x7c27d162, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x6b459d17, "");
SYMBOL_CRC(fuse_do_ioctl, 0xee290e0d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0db6629, "super_setup_bdi_name" },
	{ 0x6fd174b8, "posix_test_lock" },
	{ 0x634f005d, "truncate_inode_pages" },
	{ 0x2fcefacf, "generic_copy_file_range" },
	{ 0x7a442441, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa4266052, "pipe_lock" },
	{ 0x280528c5, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x1a995fb3, "vfs_fsync_range" },
	{ 0x313fc49d, "setattr_prepare" },
	{ 0xba1148da, "clear_nlink" },
	{ 0x5d2b03a, "file_check_and_advance_wb_err" },
	{ 0xe72a4f72, "d_alloc_parallel" },
	{ 0x832b5bc7, "__init_rwsem" },
	{ 0xb318d8c0, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x47909c16, "misc_deregister" },
	{ 0x5b093fa5, "make_vfsgid" },
	{ 0x64ba77, "clear_inode" },
	{ 0x9bbddeb2, "inode_to_bdi" },
	{ 0xa5e16006, "find_pid_ns" },
	{ 0x627c3883, "grab_cache_page_write_begin" },
	{ 0x2d46b854, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3cddd6e4, "pipe_unlock" },
	{ 0xcb198e57, "fs_param_is_string" },
	{ 0x48419c7f, "folio_unlock" },
	{ 0xee44c09, "generic_file_splice_read" },
	{ 0x24d278e6, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0xc595691d, "filemap_map_pages" },
	{ 0x5ee835e3, "dump_page" },
	{ 0x29ca6983, "forget_all_cached_acls" },
	{ 0x4a029ddc, "init_special_inode" },
	{ 0x346fc0d4, "unregister_filesystem" },
	{ 0x799198b3, "task_active_pid_ns" },
	{ 0x4c719fc0, "iov_iter_single_seg_count" },
	{ 0x8d9a7b6e, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x1cda7adc, "d_alloc_name" },
	{ 0x9d0cd0ed, "replace_page_cache_folio" },
	{ 0x5efe3148, "inode_query_iversion" },
	{ 0x6a5f394c, "iov_iter_advance" },
	{ 0x583484a6, "kill_fasync" },
	{ 0xc3839e44, "d_make_root" },
	{ 0x1460d3a9, "sb_set_blocksize" },
	{ 0x8eacb79b, "fget" },
	{ 0xc385e0ab, "simple_fill_super" },
	{ 0xab3c2369, "xas_find" },
	{ 0x2abc54c9, "invalidate_mapping_pages" },
	{ 0xefc21c63, "sync_filesystem" },
	{ 0x894cba9, "sget_fc" },
	{ 0xfe890365, "param_set_uint" },
	{ 0x3b8124ab, "d_splice_alias" },
	{ 0xe0e1fa3c, "iov_iter_get_pages2" },
	{ 0x18396ae4, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7dd8dd59, "page_get_link" },
	{ 0x6d3fbffe, "generic_permission" },
	{ 0x41e5e9e1, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x93330c35, "invalidate_inode_pages2_range" },
	{ 0x41f2f56, "posix_lock_file" },
	{ 0x80350937, "finish_open" },
	{ 0x22df1e53, "iput" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x9808e331, "logfc" },
	{ 0xeecfe62, "iter_file_splice_write" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0x9ca203f4, "init_pid_ns" },
	{ 0x326af349, "iov_iter_init" },
	{ 0x9812d27d, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x7a0d2dd5, "sysfs_create_mount_point" },
	{ 0x7726c971, "generic_file_write_iter" },
	{ 0xf545e841, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe3999329, "register_filesystem" },
	{ 0xf2e90010, "kmem_cache_create" },
	{ 0x41ea809b, "folio_add_lru" },
	{ 0x9d6a2c26, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70bbb999, "sync_inode_metadata" },
	{ 0xf5255290, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x385fa86f, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x890de97f, "shrink_dcache_parent" },
	{ 0x6b1aacac, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bc0c8b8, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x54754ad9, "fs_param_is_u32" },
	{ 0x468742ad, "inode_newsize_ok" },
	{ 0x1791718e, "d_drop" },
	{ 0xfdc1ba60, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xccb849d1, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xa39fe1ee, "bdi_put" },
	{ 0xb186314a, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xcb6837f, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3fa8476, "make_kuid" },
	{ 0x58f79ec6, "truncate_inode_pages_final" },
	{ 0x231461e2, "fs_kobj" },
	{ 0xd5df7dbc, "__filemap_set_wb_err" },
	{ 0xbc73d22f, "simple_dir_operations" },
	{ 0xfd1b49ab, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xa6ee226e, "__free_pages" },
	{ 0x55b76f76, "kmem_cache_alloc" },
	{ 0xfe7ccf9d, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xac5db11f, "setattr_should_drop_suidgid" },
	{ 0xe13c37f9, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdf45fb67, "copy_page_from_iter_atomic" },
	{ 0xcbad8beb, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfcaa4967, "inode_init_once" },
	{ 0x87ac8760, "file_write_and_wait_range" },
	{ 0x340e6346, "nosteal_pipe_buf_ops" },
	{ 0x591ea086, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe3937557, "inode_nohighmem" },
	{ 0xfda4b649, "release_pages" },
	{ 0xee434969, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf0a123f6, "fput" },
	{ 0x2ddf1753, "down_write" },
	{ 0xf5102d7d, "up_write" },
	{ 0xa5cd824b, "generic_file_read_iter" },
	{ 0x2d999795, "inode_maybe_inc_iversion" },
	{ 0xf830ca16, "unlock_page" },
	{ 0x7d516acf, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x55e06e47, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xba3aa606, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x886673c3, "dec_node_page_state" },
	{ 0xda2da28d, "write_cache_pages" },
	{ 0xd8c9e31f, "file_update_time" },
	{ 0x1f5cbc5c, "set_nlink" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x39fa094, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x77bd9c55, "from_kgid" },
	{ 0x70d4ed11, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x572ba575, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x3df62fb7, "write_inode_now" },
	{ 0xae9706be, "d_obtain_alias" },
	{ 0x571a42e6, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd898ae79, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x703f8223, "finish_no_open" },
	{ 0xf304bfc9, "__folio_start_writeback" },
	{ 0xd7a3801d, "kill_litter_super" },
	{ 0xbde5a6f1, "folio_end_writeback" },
	{ 0x2de3edf8, "from_kuid" },
	{ 0xe0ca5363, "current_in_userns" },
	{ 0xd21bc56f, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x18f15058, "sysfs_remove_mount_point" },
	{ 0x7797e1dc, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0xb96fd6c0, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x63cd9bd2, "d_delete" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x5740519a, "from_kgid_munged" },
	{ 0x996a6d32, "end_page_writeback" },
	{ 0xa7a95dbe, "kobject_create_and_add" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0xd874a3a2, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b053605, "nonseekable_open" },
	{ 0x5eba95b9, "set_page_dirty" },
	{ 0x4a4f54c7, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2911f8a, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ad4fdf8, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4d6d278, "generic_read_dir" },
	{ 0xe8106d82, "d_add" },
	{ 0xec7f6b9d, "set_page_writeback" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x9150a8ce, "init_user_ns" },
	{ 0xb02d450c, "d_find_alias" },
	{ 0xddb7ccc0, "invalidate_inode_pages2" },
	{ 0xb7b89f49, "alloc_pages" },
	{ 0x36861ce8, "inc_nlink" },
	{ 0xb049659e, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb6d23e9a, "get_tree_bdev" },
	{ 0x5e29d7cf, "set_anon_super_fc" },
	{ 0x34571fb8, "seq_printf" },
	{ 0x75a7d001, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xa67f7296, "generic_delete_inode" },
	{ 0x6c0c24fa, "deactivate_locked_super" },
	{ 0xff09623d, "touch_atime" },
	{ 0x85fbc713, "__d_lookup_unhash_wake" },
	{ 0x3310b816, "set_page_dirty_lock" },
	{ 0x6c2ee3a2, "pid_nr_ns" },
	{ 0x5c24bd9, "generic_file_open" },
	{ 0x572419c2, "truncate_inode_pages_range" },
	{ 0xf8751622, "__put_user_ns" },
	{ 0xc2205a56, "__folio_lock" },
	{ 0x8bb6dc45, "filemap_dirty_folio" },
	{ 0xca5a9fdc, "pagecache_get_page" },
	{ 0xfdca33ce, "seq_puts" },
	{ 0x5a0febdb, "stream_open" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe85a45aa, "__wake_up_sync" },
	{ 0xca477ea1, "add_to_pipe" },
	{ 0x92e04676, "__fs_parse" },
	{ 0x75973289, "posix_acl_to_xattr" },
	{ 0x3ed7a4a, "dget_parent" },
	{ 0xd1a65c65, "kill_anon_super" },
	{ 0x39afba60, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x9e01ef58, "iget5_locked" },
	{ 0xcaacc08, "security_dentry_init_security" },
	{ 0xf8692ae8, "filemap_write_and_wait_range" },
	{ 0xe29fa8db, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe43586be, "generic_write_checks" },
	{ 0x4fc306ea, "iov_iter_revert" },
	{ 0xbbe6931f, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8f79aad7, "mntget" },
	{ 0xd428b4, "kmem_cache_alloc_lru" },
	{ 0xd909a608, "filemap_fault" },
	{ 0x6dc91c69, "d_invalidate" },
	{ 0x8a36f248, "__mark_inode_dirty" },
	{ 0x4ff06c40, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf95d756c, "up_read" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x58561f60, "iov_iter_npages" },
	{ 0x94e8af0e, "drop_nlink" },
	{ 0xcb627f55, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xecd3d669, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x15ff001e, "bdi_set_max_ratio" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0x5a98c696, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
