#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0x8f016237, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xe20febc6, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x91bcc861, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xf16d9917, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x8e1167f6, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x29bd9228, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x25c34892, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x3a05aca8, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xec51296f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb89e55ac, "rpc_put_task" },
	{ 0x84bd42d6, "svc_generic_rpcbind_set" },
	{ 0x2403a3db, "nfs_clone_server" },
	{ 0xc73e77fd, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x443e3113, "filemap_fdatawrite" },
	{ 0x5cc3e60c, "nfs_show_stats" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0x1c6502cd, "nfs_server_remove_lists" },
	{ 0x2cb8c687, "generic_listxattr" },
	{ 0x7c4130d1, "revert_creds" },
	{ 0x57b7ec4c, "nfs_writeback_update_inode" },
	{ 0x64ba77, "clear_inode" },
	{ 0x515d77e5, "bpf_trace_run4" },
	{ 0x5512271b, "user_destroy" },
	{ 0x24278c04, "idr_find" },
	{ 0x44579bf5, "param_ops_uint" },
	{ 0x951f027b, "user_revoke" },
	{ 0x8bf9c676, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4f9d8073, "nfs_alloc_client" },
	{ 0x7a888818, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xeb42fcaf, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x67d469b1, "xdr_write_pages" },
	{ 0x13fae4d0, "rpc_shutdown_client" },
	{ 0x4360286f, "svc_bind" },
	{ 0x2d666fd7, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x21ddcb7d, "nfs_free_inode" },
	{ 0xf0648a5c, "nfs_access_zap_cache" },
	{ 0xc1cc5a4b, "nfs_sb_deactive" },
	{ 0xdfb67bef, "nfs_wb_all" },
	{ 0xee44c09, "generic_file_splice_read" },
	{ 0x9a5d8c7d, "__break_lease" },
	{ 0xd16c6937, "svc_recv" },
	{ 0x20a8e6aa, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3c99af9f, "xdr_inline_decode" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0x47d8ebde, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5290f870, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x2bd8a63b, "nfs_mknod" },
	{ 0x517acebf, "nfs_inode_attach_open_context" },
	{ 0x37e1914, "finish_wait" },
	{ 0x48a3a203, "rpc_localaddr" },
	{ 0xeef63c18, "rpc_wake_up" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x3f570c52, "idr_replace" },
	{ 0x720e2958, "nfs_lock" },
	{ 0xedbad1a4, "unregister_key_type" },
	{ 0x5540a2a7, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3b8124ab, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x1e29fff3, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xe0e84ea8, "ihold" },
	{ 0x1c1d9e06, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x51bc7cf4, "nfs_post_op_update_inode" },
	{ 0xd35bb25, "svc_exit_thread" },
	{ 0x22df1e53, "iput" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9808e331, "logfc" },
	{ 0xeecfe62, "iter_file_splice_write" },
	{ 0xd06ed02e, "rpc_pton" },
	{ 0x6ddca5d8, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xb413cb09, "rpc_wake_up_queued_task" },
	{ 0xae26dfa3, "bpf_trace_run2" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x41b7db36, "rpc_restart_call_prepare" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0xf545e841, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x911d5514, "_copy_from_pages" },
	{ 0x5664b174, "__module_get" },
	{ 0x227c2701, "rpc_task_release_transport" },
	{ 0x38ace7d8, "xdr_page_pos" },
	{ 0x45aa98c9, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd806faae, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x36acd7d8, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xe7c1bed1, "register_key_type" },
	{ 0xa5716b65, "rpc_sleep_on" },
	{ 0xf544ad52, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa2c07a97, "keyring_alloc" },
	{ 0xd6f8ee7a, "nfs_create" },
	{ 0x10f847c7, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c9d65b6, "__put_cred" },
	{ 0x11e05939, "nfs_update_delegated_mtime" },
	{ 0xae6d5421, "nfs_statfs" },
	{ 0x7d8eb2f4, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7bc0c8b8, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb3c91621, "nfs_mkdir" },
	{ 0x742965c5, "nfs_revalidate_inode" },
	{ 0x88f9d721, "nfs_file_mmap" },
	{ 0x9e828a7c, "nfs_get_lock_context" },
	{ 0x1791718e, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x6068b7fd, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x55a61a40, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbb41bca5, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0x3fa8476, "make_kuid" },
	{ 0x58f79ec6, "truncate_inode_pages_final" },
	{ 0x2c6286dd, "generic_setlease" },
	{ 0x96bd1aff, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xd8775356, "xdr_stream_decode_string_dup" },
	{ 0xde6ebdbf, "locks_init_lock" },
	{ 0x1474c51a, "rpc_destroy_pipe_data" },
	{ 0xa2ab9063, "nfs_get_client" },
	{ 0xa6ee226e, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x11b737df, "nfs_atomic_open" },
	{ 0x2c997aba, "rpc_pipe_generic_upcall" },
	{ 0xe2a30610, "nfs_file_fsync" },
	{ 0xd9a41c74, "module_put" },
	{ 0x5c902906, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf8eb6fb0, "mntput" },
	{ 0xa449b2d7, "nfs_put_lock_context" },
	{ 0xa68dadf1, "nfs_rename" },
	{ 0x8e6be3d9, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xc58422dc, "nfs_sysfs_link_rpc_client" },
	{ 0xcdcf7257, "nfs_put_client" },
	{ 0x71e8d8ff, "nfs_show_options" },
	{ 0x5dc818d9, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xaee85acb, "key_put" },
	{ 0xddc62f6b, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe455938f, "get_nfs_open_context" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0xd06a9712, "nfs_clear_verifier_delegated" },
	{ 0xb8dec52d, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0x2ddf1753, "down_write" },
	{ 0xb4b7f8ce, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xe494d00b, "nfs_do_submount" },
	{ 0x4ae22761, "vfs_dup_fs_context" },
	{ 0xf5102d7d, "up_write" },
	{ 0xa31f6656, "request_key_with_auxdata" },
	{ 0xc44e2c16, "rpc_clone_client_set_auth" },
	{ 0xb48d033b, "rpc_clone_client" },
	{ 0x442e85cc, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9e374f, "idr_alloc" },
	{ 0xa87e2749, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8da56360, "radix_tree_preloads" },
	{ 0xdf760900, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xba3aa606, "put_fs_context" },
	{ 0x316ac5a0, "nfs4_dentry_operations" },
	{ 0xb879b61b, "__module_put_and_kthread_exit" },
	{ 0x39b7d93, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x61b58f28, "nfs_client_for_each_server" },
	{ 0xb1ef597b, "nfs_clear_inode" },
	{ 0xe271ba56, "rpc_sleep_on_priority" },
	{ 0x9c0e1e67, "nfs_invalidate_atime" },
	{ 0x5f35c703, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8b0c2d50, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x2dc001f7, "nfs_getattr" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x299c7bc5, "nfs_zap_acl_cache" },
	{ 0x77bd9c55, "from_kgid" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf9d6d13d, "nfs_write_inode" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xab735569, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x29254b70, "rpc_wake_up_first" },
	{ 0x6e847a0b, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3457e7f, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x3713a96b, "nfs_path" },
	{ 0xafbc97e4, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5c202aad, "nfs_create_rpc_client" },
	{ 0x673e3192, "register_nfs_version" },
	{ 0xd27b833d, "rpc_sleep_on_timeout" },
	{ 0xabccbb6a, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xcafeaa3b, "rpc_call_start" },
	{ 0x1ffcf030, "bpf_trace_run1" },
	{ 0x7be50125, "svc_create" },
	{ 0xc0dc5864, "nfs_file_set_open_context" },
	{ 0xb07d0e5a, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x2615bcae, "rpc_call_sync" },
	{ 0x2de3edf8, "from_kuid" },
	{ 0x2828acd6, "rpc_put_task_async" },
	{ 0xb3abc664, "rpc_prepare_reply_pages" },
	{ 0xa501727e, "rpc_queue_upcall" },
	{ 0x579e63f0, "nfs_free_server" },
	{ 0xd21bc56f, "fc_mount" },
	{ 0xb8d810ac, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xff066604, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd9e80120, "nfs4_fs_type" },
	{ 0x18946a5d, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x7025ab1c, "rpc_delay" },
	{ 0xf3903967, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0xfd207844, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x9220de34, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xb96fd6c0, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x667d0b83, "rpc_remove_pipe_dir_object" },
	{ 0xcf747fbe, "nfs_may_open" },
	{ 0x5740519a, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x50a5e894, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x7cfb3793, "xdr_reserve_space" },
	{ 0x372a2759, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d92310b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf8182232, "nfs_rmdir" },
	{ 0x8ab7fd5a, "bpf_trace_run3" },
	{ 0x9aee9263, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x599d969d, "rpc_mkpipe_dentry" },
	{ 0xb7cbd018, "rpc_mkpipe_data" },
	{ 0xadef71b6, "rpc_add_pipe_dir_object" },
	{ 0x7ad4fdf8, "igrab" },
	{ 0x9166f160, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8e764ada, "nfs_async_iocounter_wait" },
	{ 0x18fa29f6, "nfs_file_read" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0xc50acfb5, "nfs_alloc_fattr_with_label" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9d828d2a, "nfs_setattr_update_inode" },
	{ 0xb83db277, "nfs_instantiate" },
	{ 0x9150a8ce, "init_user_ns" },
	{ 0x7c19a3b, "rpc_uaddr2sockaddr" },
	{ 0xa9f8750a, "user_read" },
	{ 0xf9b9444, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xb7b89f49, "alloc_pages" },
	{ 0xe16a1f22, "svc_xprt_destroy_all" },
	{ 0x6625221d, "generic_key_instantiate" },
	{ 0x36861ce8, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x5d9eacc4, "nfs_link" },
	{ 0xb049659e, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x95abb0ee, "rpcauth_stringify_acceptor" },
	{ 0x75a7d001, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xe10c70fd, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf0f027bc, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x92b0b97d, "put_nfs_open_context" },
	{ 0x97b40030, "nfs_show_path" },
	{ 0xd4156bf6, "nfs_show_devname" },
	{ 0x4e0832ca, "nfs_permission" },
	{ 0xf8751622, "__put_user_ns" },
	{ 0x64b4c8c0, "cred_fscmp" },
	{ 0x2f746c93, "rpc_unlink" },
	{ 0x87e9b2c4, "proc_dointvec" },
	{ 0x7ae51d3a, "nfs_file_write" },
	{ 0x480af670, "nfs_probe_server" },
	{ 0x2e91b3ce, "nfs_setsecurity" },
	{ 0xa5e19683, "rpc_clnt_test_and_add_xprt" },
	{ 0x39be5c8e, "nfs_force_lookup_revalidate" },
	{ 0x84d5c788, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2a0e9685, "rpc_clnt_add_xprt" },
	{ 0x3ed7a4a, "dget_parent" },
	{ 0x39afba60, "from_kuid_munged" },
	{ 0x20b2fc41, "prepare_kernel_cred" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xf503dffa, "nfs_alloc_server" },
	{ 0xbc4c5423, "rpc_call_async" },
	{ 0xf8692ae8, "filemap_write_and_wait_range" },
	{ 0x3e67257f, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xde09a727, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x28f9b2ef, "rpc_init_pipe_dir_object" },
	{ 0xd1cdc657, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x5c148695, "nfs_init_server_rpcclient" },
	{ 0xd160e04d, "rpc_set_connect_timeout" },
	{ 0xc989e444, "rpcauth_create" },
	{ 0x4f1d9d10, "xdr_stream_pos" },
	{ 0x9f20fbb4, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xf95d756c, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xab9c145c, "svc_xprt_create" },
	{ 0x592704ad, "rpc_wait_for_completion_task" },
	{ 0x94e8af0e, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x37857fdf, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe938f5fd, "rpc_destroy_wait_queue" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xfb79bcc3, "nfs_fhget" },
	{ 0x5c132c4b, "nfs_symlink" },
	{ 0x3fc58636, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x230366be, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d76e8ae, "nfs_set_verifier" },
	{ 0x66ba34a5, "proc_dointvec_minmax" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0544DE00C75B255F22E0DF5");
MODULE_INFO(rhelversion, "9.7");
