#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x9c58ee60, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x4c6629d1, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x11215659, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x35dac3b5, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x98a4cae3, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xe0694a92, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xcd74187c, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x9a27f717, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x2868206d, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xb25d844d, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xe4cada19, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x767ced92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x62ba71a0, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x2759cc49, "init_net" },
	{ 0x8efca700, "alloc_netdev_mqs" },
	{ 0x2a756f96, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xac259354, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa162ec67, "rtnl_link_unregister" },
	{ 0x9eaa894d, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe5156c46, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf75c1a27, "__pskb_pull_tail" },
	{ 0x3b644aa3, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xd5bde8a5, "netdev_state_change" },
	{ 0x5ab367f8, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x877f0768, "dst_cache_get" },
	{ 0x23fa8a44, "ipv4_mtu" },
	{ 0x6eee6d87, "skb_scrub_packet" },
	{ 0x1d42f11d, "skb_realloc_headroom" },
	{ 0x463dc588, "skb_set_owner_w" },
	{ 0xf91641d8, "consume_skb" },
	{ 0xaad9aedd, "ipv6_push_frag_opts" },
	{ 0x17cba899, "skb_push" },
	{ 0xf1b6dff4, "ip6_route_output_flags" },
	{ 0x29f4acdb, "ipv6_dev_get_saddr" },
	{ 0xb487bcf1, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x51cd8ef0, "skb_copy_bits" },
	{ 0x8be1f4f2, "ip6_dst_hoplimit" },
	{ 0x20f9f4c3, "neigh_destroy" },
	{ 0x3fa8476, "make_kuid" },
	{ 0x6f2a7ccc, "ip6_redirect" },
	{ 0x405c0109, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd5121230, "iptunnel_handle_offloads" },
	{ 0x1bc62507, "icmpv6_ndo_send" },
	{ 0x37aedfda, "icmp_ndo_send" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x60247697, "skb_clone" },
	{ 0x5d66609d, "skb_pull" },
	{ 0x55720ee8, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x92de301d, "gro_cells_receive" },
	{ 0x2f38fb72, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc540564e, "__iptunnel_pull_header" },
	{ 0xb86a5ed, "metadata_dst_alloc" },
	{ 0x65b3626b, "ip_route_output_flow" },
	{ 0x18677480, "ip_route_input_noref" },
	{ 0xaa86a231, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xcc878fed, "dev_get_tstats64" },
	{ 0x30257dd5, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf14cf196, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb7d391bb, "ipv6_chk_addr_and_flags" },
	{ 0x6ea2d10c, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xcc1c88aa, "register_pernet_device" },
	{ 0xd12b5e74, "xfrm6_tunnel_register" },
	{ 0xca65fb66, "rtnl_link_register" },
	{ 0x755f3df7, "xfrm6_tunnel_deregister" },
	{ 0x7a17394a, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xebd62cb6, "unregister_netdevice_queue" },
	{ 0x2721c740, "rt6_lookup" },
	{ 0x46e03b13, "dst_release" },
	{ 0x1ae6385a, "__dev_get_by_index" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.7");
