#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x3acc2fc2, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x08422414, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x5f5fba1e, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x6862fa1f, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xf790b077, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xdab2fdde, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x3fb7a60c, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x5732e7b1, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x810fa68b, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x8b6615d2, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x7f86bd29, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xbc395b91, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xa46cbab5, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xbbbb7224, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xd5fd0a5f, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xafb9d55f, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xa39e2284, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xab85cc51, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x82220b15, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x6253c845, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xc29ef782, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xe306622e, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x354f3a90, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x800f64ae, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xc3f51608, "_gpl");
SYMBOL_CRC(print_tuple, 0x55f00b3b, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x256882c8, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x493709a4, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x88e246ef, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x80084902, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x6ddbffcc, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x23530744, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xb187401d, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x2571dd4f, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x41adebb6, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x2bf7934f, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x54a9d3ae, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xe1e9ae40, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x58585e3e, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x16de0b64, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x745aad09, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x5a5a3e1f, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xcf4712c7, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x58c5e051, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x53adb940, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xaf881cc2, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xb1ffb237, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x12a3066a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x66894d36, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x11f8bf3b, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xf2fe0511, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x3e58784f, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x54370381, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x21656744, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x497e2a1c, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xd5de593f, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xc7b886b0, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xeccbfd9f, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x9346a6b2, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xcd5c8223, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x8053f854, "_gpl");
SYMBOL_CRC(nf_confirm, 0xeb1b0f7f, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x76688df0, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xd9f2adea, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xc5860f93, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x849cf34a, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x3f55fd36, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x4df34c83, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x75ff4e60, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x0f5963e8, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x6f8d2f5e, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xcf48d43d, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xc69d06a2, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x2418fb68, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xf8669d9f, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x5ba8de0a, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xbacea8d5, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x3f3a2a02, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x0ad2e6a8, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x7edfeb61, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x66fdf432, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x9da9e8ba, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x2a5931be, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x5754b138, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x3654cc06, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x5b6495b1, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xb70868a3, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xb93cb194, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd151dc1c, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x179a75a1, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf4556fbf, "nf_defrag_ipv4_disable" },
	{ 0xdd80ebb5, "nf_ip6_checksum" },
	{ 0xd67e428, "proc_dou8vec_minmax" },
	{ 0x51cd8ef0, "skb_copy_bits" },
	{ 0x44579bf5, "param_ops_uint" },
	{ 0xeabc3323, "proc_dointvec_jiffies" },
	{ 0xa5bf6f, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7ebf91d4, "nf_register_sockopt" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x80aa9130, "nfct_btf_struct_access" },
	{ 0xfe890365, "param_set_uint" },
	{ 0x971e3860, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x579ec79f, "get_net_ns_by_id" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf2e90010, "kmem_cache_create" },
	{ 0xcbf21d6d, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x79df0c56, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x3646ad23, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x61dc0182, "nf_unregister_sockopt" },
	{ 0xcb6837f, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3fa8476, "make_kuid" },
	{ 0xb78c9390, "nf_defrag_ipv6_disable" },
	{ 0x21a757ac, "ipv6_skip_exthdr" },
	{ 0x16331a66, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x55b76f76, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd9a41c74, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x71a47299, "nf_checksum" },
	{ 0xbd2642a5, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2759cc49, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x39fa094, "kmem_cache_free" },
	{ 0xb33ea398, "seq_putc" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xfb4ff902, "nf_checksum_partial" },
	{ 0xa8f5256d, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x45f32879, "nf_unregister_net_hooks" },
	{ 0xc199fa0e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x804d1cc3, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xafcdb3c8, "nf_log_packet" },
	{ 0xb96fd6c0, "make_kgid" },
	{ 0x40abab23, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xc9005ccd, "register_btf_kfunc_id_set" },
	{ 0x402d2ac9, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x4147b8bd, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9234a3b8, "__skb_checksum" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xee4acc83, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x30257dd5, "param_ops_bool" },
	{ 0x6accbe0e, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8c0ae318, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7cd207fb, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x87e9b2c4, "proc_dointvec" },
	{ 0xfdca33ce, "seq_puts" },
	{ 0x6f546839, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6521a187, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x92ab755f, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf95d756c, "up_read" },
	{ 0x2983ab86, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0xb62d4d8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "592075472331D0393834752");
MODULE_INFO(rhelversion, "9.7");
