#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x2cbc8ed6, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xb4801a8f, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xafdf7db5, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9ab472e, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf5b6fb01, "sock_queue_rcv_skb_reason" },
	{ 0x4707d855, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x515d77e5, "bpf_trace_run4" },
	{ 0x51cd8ef0, "skb_copy_bits" },
	{ 0xe15ad768, "radix_tree_insert" },
	{ 0x4b6daf83, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf91641d8, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xb30e1753, "radix_tree_lookup" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0x86c5066a, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x928c528, "__tracepoint_sk_data_ready" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0xf545e841, "__wake_up" },
	{ 0x5664b174, "__module_get" },
	{ 0xcef155b3, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeab204a0, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x241e0a9e, "sk_error_report" },
	{ 0xb802fab2, "skb_queue_purge_reason" },
	{ 0xb7a4e8d1, "radix_tree_iter_delete" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x61e2edd7, "proto_unregister" },
	{ 0x2bc95570, "sock_register" },
	{ 0x155ce781, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0x4ee094b3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe2523cd2, "rt_write_unlock" },
	{ 0xa153a166, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd9a41c74, "module_put" },
	{ 0xb0a4ce76, "__xa_alloc" },
	{ 0xc2537572, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0x2759cc49, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7a852c0a, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x575e4f7b, "xa_load" },
	{ 0xa99865cd, "__SCK__tp_func_sk_data_ready" },
	{ 0xfa32abca, "kernel_getsockname" },
	{ 0x28a68c15, "do_wait_intr_irq" },
	{ 0x68520234, "sk_free" },
	{ 0x10fe6706, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x17cba899, "skb_push" },
	{ 0xfd6d04b3, "sock_no_listen" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc199fa0e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa0a13a6d, "skb_copy_datagram_iter" },
	{ 0xf28c07cd, "sk_alloc" },
	{ 0x57f12991, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6eca989, "sock_no_mmap" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0xa4f0b7ba, "sock_no_sendpage" },
	{ 0xedd11cce, "__netdev_alloc_skb" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x2a5a6826, "__xa_insert" },
	{ 0x7191cbd0, "xa_erase" },
	{ 0x8ab7fd5a, "bpf_trace_run3" },
	{ 0x463dc588, "skb_set_owner_w" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xf0dd26fc, "sock_create_kern" },
	{ 0xe3910d92, "xa_find" },
	{ 0xfa689f73, "skb_recv_datagram" },
	{ 0x460fdb46, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6fb71909, "xa_store" },
	{ 0xf17528ce, "rt_write_lock" },
	{ 0x4fb1ed3d, "_copy_from_iter" },
	{ 0x685917c4, "sock_release" },
	{ 0xd6792207, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3f0414e, "xa_find_after" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x4fc306ea, "iov_iter_revert" },
	{ 0xc5e7e88c, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xa65c2937, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xb62d4d8, "release_sock" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
