#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xd646cdb7, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xd0f5f4c2, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xdd3f88da, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x67b93d37, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x00e454f6, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x72ac87ba, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xd337cb95, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x0582aefc, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x5df1fdbd, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xec9319ac, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xd42b5d7a, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x634d6ea8, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x896e61bf, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x30074ba3, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xc3689751, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xba40535b, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xf9af42d5, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x60775f23, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x6a1dbe1f, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xf32c0d98, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x2ebaa9b2, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xd66b729f, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xc2844fd5, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x6067d2cb, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x7746aa1d, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc8551197, "sock_map_close" },
	{ 0xf5b6fb01, "sock_queue_rcv_skb_reason" },
	{ 0x179a75a1, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x47909c16, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf91641d8, "consume_skb" },
	{ 0x37e1914, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x1e29fff3, "prepare_to_wait" },
	{ 0x47e1109c, "sock_map_unhash" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x757da32b, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5664b174, "__module_get" },
	{ 0xa8c3a67d, "sk_stream_error" },
	{ 0x701fbcde, "sk_msg_recvmsg" },
	{ 0x8a42ec9a, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c9d65b6, "__put_cred" },
	{ 0x241e0a9e, "sk_error_report" },
	{ 0xb802fab2, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x61e2edd7, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2bc95570, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2523cd2, "rt_write_unlock" },
	{ 0xa153a166, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd9a41c74, "module_put" },
	{ 0x3c51ab01, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x68520234, "sk_free" },
	{ 0x10fe6706, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfd6d04b3, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x7562aca8, "sock_recv_errqueue" },
	{ 0xc199fa0e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb0a05a16, "mutex_lock_interruptible" },
	{ 0xf28c07cd, "sk_alloc" },
	{ 0x57f12991, "sock_no_socketpair" },
	{ 0x7797e1dc, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd6eca989, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xa4f0b7ba, "sock_no_sendpage" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x9b053605, "nonseekable_open" },
	{ 0xa0f59aa0, "sk_psock_drop" },
	{ 0x1ce8f97b, "__dev_queue_xmit" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9150a8ce, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x60247697, "skb_clone" },
	{ 0xf17528ce, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x5c107c69, "remove_wait_queue" },
	{ 0x61a727fd, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcfc43044, "sock_setsockopt" },
	{ 0xa65c2937, "sock_init_data" },
	{ 0xb62d4d8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C3266733D276432914EEF5C");
MODULE_INFO(rhelversion, "9.7");
