#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x8b320142, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x1c50ea30, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x5e8c133b, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xfff4279d, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x221c9d25, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x386287d7, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xa3724b04, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x2d9fc1bc, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x194bd3a0, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xcddf7fe6, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xa71429e8, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x2986050b, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x9fa30af7, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x109b4027, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2c228d75, "device_property_present" },
	{ 0x33677b9f, "regcache_cache_only" },
	{ 0xb6d6f628, "regcache_sync" },
	{ 0x565a8f08, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xebca7ae0, "snd_soc_jack_report" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0xf7596cac, "gpiod_set_value_cansleep" },
	{ 0x57c21266, "snd_pcm_hw_constraint_minmax" },
	{ 0x436e544e, "regcache_sync_region" },
	{ 0x8bfdea81, "snd_soc_put_enum_double" },
	{ 0xd1b49474, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x371e4a5f, "devm_gpiod_get_optional" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x52bc54f0, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc3f9d0c, "device_property_read_u32_array" },
	{ 0x3fbfae2b, "snd_soc_get_enum_double" },
	{ 0x39341ec8, "_dev_info" },
	{ 0x5007d3eb, "snd_soc_info_volsw" },
	{ 0xfe03dc71, "regcache_drop_region" },
	{ 0xc812d889, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc518ddd2, "snd_soc_info_enum_double" },
	{ 0x3a4093ff, "snd_soc_get_volsw" },
	{ 0x2f6d114c, "regmap_read" },
	{ 0x480d305, "snd_soc_put_volsw" },
	{ 0x25828595, "snd_soc_component_update_bits" },
	{ 0x9bf374b4, "__pm_runtime_resume" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaf15e79b, "regmap_bulk_read" },
	{ 0x29581730, "regmap_update_bits_base" },
	{ 0x9603863f, "dev_err_probe" },
	{ 0x311eae52, "regmap_multi_reg_write" },
	{ 0x1b1fa8c9, "__pm_runtime_suspend" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.7");
