#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xb45b01d3, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xbe113733, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xfa09db48, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x13f83a9e, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x3108d3ad, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x30a26402, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x99d2ef5d, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x9f81d04c, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x1a7bb17a, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x25739481, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x40b5a351, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x710d6941, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x24805b1a, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xbc1deba6, "_gpl");
SYMBOL_CRC(put_cxl_root, 0xa2265d92, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x1284b7bc, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x048d3245, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x1cbbe618, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x795a171d, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x328a1807, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xaa399141, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x0553ab0f, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x697ba9d1, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x1935d6c1, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xdf1251db, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xde914d6c, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xd988ecfa, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xd85efcd3, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x3c00fcba, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x97defd2b, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x9aaf6935, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xe5091d44, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x1612b1db, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x345274e0, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x0da94bf1, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x13bc2bf5, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x80118871, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xd7efc162, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xcceb785e, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x3cf935b5, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x0d182f4b, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x9b118e8c, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x21196d26, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xad4e1a3d, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xb4d09c4c, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x0f741c64, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xa9700878, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x1a617c6c, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x9c74f4f4, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x0b6d0e20, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x33910edb, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x17e31e86, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x321ea433, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x6dd617a3, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xdcbf7747, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xe60fab2c, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x98d2ce5e, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xbe781821, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x0dd31611, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xcc0fcb6a, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xa7ede466, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x69195ffd, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x98a558fb, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x95039980, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x8cc50899, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x49d8ab11, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x29284b94, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x7a2eff86, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x432f3c1f, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xaeccc106, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x9e614e1e, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x82a484a4, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xbf81bc66, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x5ce149d2, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xc446816f, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x3f9f1bf9, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x131a67de, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x6e7e148c, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xc90dc93e, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x135ac075, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x29ee7241, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x5d89424b, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xc3aa329d, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x2af120ee, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x9dd6fc16, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xe93fbe93, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x116d766d, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x652b8dcf, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x17ba5a31, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xaabd89a9, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xa11230b7, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x5e312a69, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8385666d, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0xeb4536d7, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x3bfd5767, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x515d77e5, "bpf_trace_run4" },
	{ 0x25e43ee6, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x792a873b, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x229f10fa, "dev_set_name" },
	{ 0xfadf6bbb, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x161da2f8, "cdev_device_del" },
	{ 0xee9dbff0, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x77218bbd, "device_unregister" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0x6bb67bb5, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xa157d7fc, "device_initialize" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xdec09d54, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa22d0c82, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae26dfa3, "bpf_trace_run2" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x26beee08, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x68ca4292, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9a6fdaa7, "platform_bus" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x928443a5, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae23b77, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x5373814d, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xbabb20f1, "put_device" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe93dbaeb, "bus_for_each_dev" },
	{ 0x140c2e0a, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf3776404, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0x2a3f6e17, "sysfs_update_group" },
	{ 0x28c2b983, "bus_unregister" },
	{ 0x2ddf1753, "down_write" },
	{ 0x5ce69fbd, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xc812d889, "_dev_err" },
	{ 0xf5102d7d, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x69807643, "debugfs_create_bool" },
	{ 0x1eb2dfbc, "bus_find_device" },
	{ 0xa1dc4ea, "device_add" },
	{ 0x939460b6, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xd62e173, "simple_attr_release" },
	{ 0x575e4f7b, "xa_load" },
	{ 0x6b6bfe54, "noop_llseek" },
	{ 0x5f35c703, "bpf_trace_run5" },
	{ 0x933af78e, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x61177e21, "kernfs_find_and_get_ns" },
	{ 0x1dea6099, "debugfs_remove" },
	{ 0x9e14ed91, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0xab735569, "ida_free" },
	{ 0xcc8c6c9d, "driver_unregister" },
	{ 0x19aabe8e, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaa0d0bec, "device_find_child" },
	{ 0xb0a05a16, "mutex_lock_interruptible" },
	{ 0xbeff4218, "devm_release_action" },
	{ 0xafeb2562, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x300ef0c5, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7cbb5a55, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x2a5a6826, "__xa_insert" },
	{ 0x7191cbd0, "xa_erase" },
	{ 0x8ab7fd5a, "bpf_trace_run3" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4f74856d, "debugfs_create_file" },
	{ 0xae912bd1, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x9b937371, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x1c593cfd, "einj_cxl_available_error_type_show" },
	{ 0x42781b5c, "xa_destroy" },
	{ 0xe3910d92, "xa_find" },
	{ 0xd20c7582, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcfb5465f, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34571fb8, "seq_printf" },
	{ 0x6fb71909, "xa_store" },
	{ 0x16fce076, "device_match_name" },
	{ 0x5e00113b, "einj_cxl_inject_error" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x366c818f, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x42595a8b, "pci_walk_bus" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x3f0414e, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x366ea1b5, "__devm_add_action" },
	{ 0xf7da3619, "pci_find_dvsec_capability" },
	{ 0x86c2bd25, "device_find_child_by_name" },
	{ 0x7c554001, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x39e4541b, "single_open" },
	{ 0x3f8185f, "pci_write_config_word" },
	{ 0xc28c6012, "debugfs_create_dir" },
	{ 0x464d6931, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf95d756c, "up_read" },
	{ 0xa760d61d, "driver_register" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x71153254, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc9fb05f0, "pci_bus_type" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x1401279b, "bus_register" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "A817BA2FA461C2BBF82B58D");
MODULE_INFO(rhelversion, "9.7");
