#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xd84c0663, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xf5f33315, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x4d855df8, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xcb1631bb, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xc1d8e269, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x40a243a5, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x7b331ffd, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x03797a45, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x5a81754c, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x05581098, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x9f050389, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x42d3ca9c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xc2e8d106, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x98fd6420, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0xa026d1d2, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xab42a1d9, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xa4f63535, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0xce08bc20, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x879b0398, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x196c2b93, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x665a7da6, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x0bc7dc50, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x24c725f9, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x0a0b98c1, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x882abb81, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x98178755, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xa30b9247, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x1b1064da, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x4dde7190, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x1409591d, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xd6cd4ac5, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x8d622eef, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x9ec6f2a2, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x6cb2a6be, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x53942d62, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x935c519d, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x382c7a8c, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x4dd4a816, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4272c9fe, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x848bacff, "drm_exec_prepare_array" },
	{ 0x3b14ff2f, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0xd38b68e4, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd2677954, "drm_exec_prepare_obj" },
	{ 0xf773c57, "drm_exec_lock_obj" },
	{ 0x8ff8172f, "drm_exec_init" },
	{ 0xef364a1a, "drm_exec_cleanup" },
	{ 0x9e832b4d, "drm_exec_fini" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
MODULE_INFO(rhelversion, "9.7");
