#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xcf69e989, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xb4819039, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x68b1256d, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x161cf74b, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x79435d06, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x1bfd3484, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x9d03d909, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xdc7529bb, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xfbaea1d4, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x85f756d5, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x8747607c, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xf524f3df, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xb4717e77, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x83ca2587, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x02d93549, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x06d8697a, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x6b2bf693, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xae748724, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x14e01eb8, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xf0d92452, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xac92faa8, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x94de9458, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x942da7cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd415837, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x279c28e2, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x832b5bc7, "__init_rwsem" },
	{ 0x47909c16, "misc_deregister" },
	{ 0x4701540, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa12839a8, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd83cfa1a, "iommu_group_get" },
	{ 0x10d0e7cd, "pin_user_pages_remote" },
	{ 0x74e2cad7, "iommu_iova_to_phys" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x3ea451b9, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x8eacb79b, "fget" },
	{ 0xc2325df5, "__put_task_struct" },
	{ 0x54d5ac15, "__xas_next" },
	{ 0xab3c2369, "xas_find" },
	{ 0x52b2c0bf, "iommu_dev_disable_feature" },
	{ 0x6e122773, "unpin_user_pages" },
	{ 0x5390a4d6, "fd_install" },
	{ 0xa8db0064, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x96a7d4b1, "unpin_user_page_range_dirty_lock" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x2cc82828, "__account_locked_vm" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0x1a3a7e6e, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xf545e841, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xa9b70a62, "__tracepoint_mmap_lock_released" },
	{ 0x147947cc, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x1be35f27, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x2b681ddf, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6d36db16, "iommu_detach_group" },
	{ 0xc14d9701, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x71a12b31, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb0a4ce76, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xf0a123f6, "fput" },
	{ 0x2ddf1753, "down_write" },
	{ 0x43646d03, "iommu_domain_free" },
	{ 0xf5102d7d, "up_write" },
	{ 0x4cdd993a, "iommu_get_msi_cookie" },
	{ 0x800c1709, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x55b87020, "iommu_unmap" },
	{ 0x575e4f7b, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x8a33882c, "xas_load" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x1665dff4, "iommu_attach_handle_get" },
	{ 0x6672b9ff, "iommu_replace_group_handle" },
	{ 0x5fca48ef, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x7797e1dc, "misc_register" },
	{ 0x45f6f99a, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x9785858a, "iommu_put_resv_regions" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xa7ee083b, "__mmdrop" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x9766d5c7, "__xa_cmpxchg" },
	{ 0x9b053605, "nonseekable_open" },
	{ 0x7191cbd0, "xa_erase" },
	{ 0x69f21967, "__mmap_lock_do_trace_start_locking" },
	{ 0xef82dbc9, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xef88ebd2, "mmput" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x30257dd5, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x42781b5c, "xa_destroy" },
	{ 0xe3910d92, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xd2d45bb1, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd0cee4b1, "__mmap_lock_do_trace_released" },
	{ 0x6fb71909, "xa_store" },
	{ 0x3310b816, "set_page_dirty_lock" },
	{ 0xad0d17b9, "device_iommu_capable" },
	{ 0x4b8cc53, "xas_nomem" },
	{ 0x6d01a7a8, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xf741e42e, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb90d75db, "iommu_attach_group_handle" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x3f0414e, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x82461d5c, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xf95d756c, "up_read" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc9fb05f0, "pci_bus_type" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0D416640E735BA99285DAB9");
MODULE_INFO(rhelversion, "9.7");
