#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x483ba4aa, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x1814d06e, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x1b9d92f9, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xc9a9ed42, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x27f3a057, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x735a3cce, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x6555e7d0, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xcb2a5d43, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xabdd6e75, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xfa552c1d, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x1bebfcc9, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xccfcab0d, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x1c2d6ed1, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xbd935585, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x4bd28fc7, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x65681dc7, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x36f96aa8, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x430c41ae, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x58160b7c, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x1a2e072e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xb467b819, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f9dafa2, "mdiobus_write" },
	{ 0x35fb087d, "mdiobus_read" },
	{ 0x9d3f83a0, "phy_write_mmd" },
	{ 0x2a302652, "phy_modify" },
	{ 0xe763806a, "phy_trigger_machine" },
	{ 0xd659f534, "phy_error" },
	{ 0xaf990dc8, "phy_modify_changed" },
	{ 0x3e08ff29, "genphy_update_link" },
	{ 0x78a998fc, "genphy_read_lpa" },
	{ 0x1be7535b, "phy_resolve_aneg_pause" },
	{ 0x536ed277, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc812d889, "_dev_err" },
	{ 0xdda78a25, "phy_read_mmd" },
	{ 0x19df2cde, "ethnl_cable_test_result_with_src" },
	{ 0xffb75694, "ethnl_cable_test_fault_length_with_src" },
	{ 0x4e44308d, "phy_modify_mmd" },
	{ 0x89447ce6, "genphy_soft_reset" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
