#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xac40d2c2, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xbfb744b6, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x4db333cc, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x5b3f1bc2, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x6931d70d, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xb5d7ba4e, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x9385e90a, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xb918d654, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x1282f94f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc38e3da, "netdev_err" },
	{ 0x15fdea9, "idr_remove" },
	{ 0xf545e841, "__wake_up" },
	{ 0xcf18f613, "_copy_to_iter" },
	{ 0x6a5f394c, "iov_iter_advance" },
	{ 0xa0a13a6d, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x24278c04, "idr_find" },
	{ 0xf28c07cd, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x74893dde, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x68520234, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x71153254, "cdev_init" },
	{ 0xcefbb85a, "cdev_add" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x2962267e, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcb9bfdb, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x342f330d, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf91641d8, "consume_skb" },
	{ 0x37e1914, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x1e29fff3, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x73737da7, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x17cba899, "skb_push" },
	{ 0x5ac58bf8, "__skb_gso_segment" },
	{ 0x1862723, "skb_checksum_help" },
	{ 0x6dc03641, "kfree_skb_list_reason" },
	{ 0x12259b87, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x6da44b92, "__skb_flow_dissect" },
	{ 0xb849a158, "skb_partial_csum_set" },
	{ 0xf75c1a27, "__pskb_pull_tail" },
	{ 0x58561f60, "iov_iter_npages" },
	{ 0x4fb1ed3d, "_copy_from_iter" },
	{ 0x460fdb46, "sock_alloc_send_pskb" },
	{ 0x4b6daf83, "skb_put" },
	{ 0x767700ca, "zerocopy_sg_from_iter" },
	{ 0x1ce8f97b, "__dev_queue_xmit" },
	{ 0x8b673d36, "skb_copy_datagram_from_iter" },
	{ 0x4fc306ea, "iov_iter_revert" },
	{ 0x51cd8ef0, "skb_copy_bits" },
	{ 0xf393d0f9, "build_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9e374f, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
