#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xa9d72317, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x01ce85cc, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xcf16d2cb, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x613c7225, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x0d9f676a, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x09b86d03, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xb00d5440, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xfbdbee33, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x9a11dfd9, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x5a26bec3, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x6f117078, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x4d18928c, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xa1d1f7fd, "_gpl");
SYMBOL_CRC(usbnet_open, 0x5a316a91, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xa96a01b3, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x84327d26, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x17ec80b5, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xba974c9e, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xe167715d, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x2785b589, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xb4bca887, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x1f64fa8b, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x5342b5f6, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xc2930a1a, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x52c9e71c, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xff04e4ea, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x6066a37e, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x688dc4d3, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x465bab4d, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x8df31819, "");
SYMBOL_CRC(usbnet_manage_power, 0xe99d5e84, "");
SYMBOL_CRC(usbnet_link_change, 0x7efb40b1, "");
SYMBOL_CRC(usbnet_read_cmd, 0x73855dd4, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x9db84112, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xd162a008, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xbc104006, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x992b120c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f03562c, "usb_set_interface" },
	{ 0xf0d38966, "usb_string" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4c43ebd5, "skb_defer_rx_timestamp" },
	{ 0x3fcb958e, "netif_rx" },
	{ 0x2f38fb72, "eth_type_trans" },
	{ 0xd104b360, "skb_queue_tail" },
	{ 0xaa74f5aa, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb802fab2, "skb_queue_purge_reason" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x9c107025, "usb_get_urb" },
	{ 0xd0cd8003, "usb_unlink_urb" },
	{ 0x9dc03459, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf4ed84c3, "usb_submit_urb" },
	{ 0xfc38e3da, "netdev_err" },
	{ 0x8dea9cc1, "mii_ethtool_get_link_ksettings" },
	{ 0x846214ba, "mii_ethtool_set_link_ksettings" },
	{ 0x717798c8, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d6f7638, "unregister_netdev" },
	{ 0x2f94cfee, "usb_scuttle_anchored_urbs" },
	{ 0xeb85e3b9, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xac259354, "free_netdev" },
	{ 0xca043884, "netdev_info" },
	{ 0xd0f89a6, "netif_carrier_on" },
	{ 0x63c377fa, "netif_carrier_off" },
	{ 0xed0ae6f4, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4ef62a81, "usb_autopm_get_interface" },
	{ 0x46ca998f, "usb_autopm_put_interface" },
	{ 0xc4d998d8, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x47ffe0b6, "mii_link_ok" },
	{ 0xe2268a5d, "ethtool_op_get_link" },
	{ 0x5cf7b8b1, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x757da32b, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5c107c69, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x769eef98, "netif_device_detach" },
	{ 0xd6a0667f, "netif_device_attach" },
	{ 0x2bb3cd30, "skb_dequeue" },
	{ 0x94437cb0, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x2a756f96, "register_netdev" },
	{ 0xf81f71db, "pm_runtime_enable" },
	{ 0xda344500, "skb_clone_tx_timestamp" },
	{ 0x8574bda4, "usb_autopm_get_interface_async" },
	{ 0x79bad2bd, "dev_kfree_skb_any_reason" },
	{ 0x464c97ad, "skb_tstamp_tx" },
	{ 0x96111dd8, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xedd11cce, "__netdev_alloc_skb" },
	{ 0xf91641d8, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf545e841, "__wake_up" },
	{ 0x6b243a7, "netif_tx_wake_queue" },
	{ 0xf82a75cc, "usb_get_from_anchor" },
	{ 0xa8448e50, "usb_autopm_get_interface_no_resume" },
	{ 0x4b6daf83, "skb_put" },
	{ 0x41ec9b4a, "usb_clear_halt" },
	{ 0x5471e919, "eth_mac_addr" },
	{ 0x3bcebd04, "eth_validate_addr" },
	{ 0xcc878fed, "dev_get_tstats64" },
	{ 0x6b545a92, "ethtool_op_get_ts_info" },
	{ 0x9f7767fe, "param_ops_int" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "A12581BF32F5EC08990C3D3");
MODULE_INFO(rhelversion, "9.7");
