#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x9c2d1bd1, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xd7accfd7, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x14c75dd5, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xffd2d8a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xd393d5a, "__skb_checksum_complete" },
	{ 0x7b79a861, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x51cd8ef0, "skb_copy_bits" },
	{ 0x49250994, "__nlmsg_put" },
	{ 0x4ea93465, "netdev_adjacent_change_commit" },
	{ 0x5471e919, "eth_mac_addr" },
	{ 0x4b6daf83, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8be1f4f2, "ip6_dst_hoplimit" },
	{ 0xfadf6bbb, "param_ops_ushort" },
	{ 0xf91641d8, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x2d457702, "udp_sock_create4" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x13c206b5, "udp_tunnel6_xmit_skb" },
	{ 0xca65fb66, "rtnl_link_register" },
	{ 0xc6805364, "__unregister_nexthop_notifier" },
	{ 0x976e62a, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3bcebd04, "eth_validate_addr" },
	{ 0x51b667ed, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe5156c46, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfbab8031, "rtnl_create_link" },
	{ 0xebd62cb6, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd5121230, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x5436bc6a, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6782dc0a, "udp_tunnel_drop_rx_port" },
	{ 0xf6963293, "pskb_expand_head" },
	{ 0xb0322206, "netdev_upper_dev_link" },
	{ 0x3646ad23, "register_pernet_subsys" },
	{ 0x2f38fb72, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x4ee094b3, "__alloc_skb" },
	{ 0x1c903647, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x4a266239, "eth_gro_complete" },
	{ 0xf5a32ee6, "rtnl_set_sk_err" },
	{ 0xf55df52d, "eth_gro_receive" },
	{ 0xbd01d2e9, "rtnl_configure_link" },
	{ 0xb7f7edca, "skb_tunnel_check_pmtu" },
	{ 0x955e8a1a, "udp_tunnel_dst_lookup" },
	{ 0x35e3e57c, "rtnl_unicast" },
	{ 0xf14a8180, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x12259b87, "__skb_get_hash_net" },
	{ 0x36cb4de9, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1ae6385a, "__dev_get_by_index" },
	{ 0xa162ec67, "rtnl_link_unregister" },
	{ 0xbe4044cc, "ipv6_stub" },
	{ 0x5d66609d, "skb_pull" },
	{ 0x5ac17018, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6ea2d10c, "dev_get_by_index_rcu" },
	{ 0x92de301d, "gro_cells_receive" },
	{ 0x17cba899, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x61f76a95, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xac259354, "free_netdev" },
	{ 0xd5d8c8d9, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x26d53d29, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc199fa0e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe2268a5d, "ethtool_op_get_link" },
	{ 0xef1fffd1, "nexthop_find_by_id" },
	{ 0xa4157f7c, "arp_create" },
	{ 0x33b07c23, "__ethtool_get_link_ksettings" },
	{ 0x7a77c461, "netdev_adjacent_change_prepare" },
	{ 0x1a8d317, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x804d1cc3, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9e8723d4, "rhashtable_free_and_destroy" },
	{ 0x11f9699a, "rht_bucket_nested_insert" },
	{ 0xd8dd2bd6, "netdev_adjacent_change_abort" },
	{ 0x4bb6ec0, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x144197d0, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc540564e, "__iptunnel_pull_header" },
	{ 0xf75c1a27, "__pskb_pull_tail" },
	{ 0xcc878fed, "dev_get_tstats64" },
	{ 0x3fcb958e, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x95ef4105, "rhashtable_destroy" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xaf2fc847, "setup_udp_tunnel_sock" },
	{ 0x72172cf7, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x25bf75d2, "skb_trim" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaa74f5aa, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6eee6d87, "skb_scrub_packet" },
	{ 0x75bc3d83, "nexthop_select_path" },
	{ 0x32938f96, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x76ca6695, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20f9f4c3, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x30257dd5, "param_ops_bool" },
	{ 0x8a11d174, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1b470a34, "rtnl_notify" },
	{ 0xf44adf57, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x56d5c4ac, "__netif_rx" },
	{ 0x60247697, "skb_clone" },
	{ 0xb86a5ed, "metadata_dst_alloc" },
	{ 0x46e03b13, "dst_release" },
	{ 0x1b02767f, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x59068b1b, "udp_tunnel_notify_del_rx_port" },
	{ 0x28c69c8, "register_nexthop_notifier" },
	{ 0xba76fbf1, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xed63134d, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x98fe088c, "netdev_core_stats_inc" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xca043884, "netdev_info" },
	{ 0x6508c52a, "neigh_lookup" },
	{ 0xb62d4d8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3b644aa3, "register_netdevice" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FA7CF23B56E36E1596B63F3");
MODULE_INFO(rhelversion, "9.7");
