#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x632b9302, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x8a12765a, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x4feee0d7, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x9a310838, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x7e0df73e, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x2bef7884, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x5443ec0f, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xc2eb838e, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xad23ed7d, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x9d75de57, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xb946e508, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xb1f35e2d, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xdc0543e0, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x263b48e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x179a75a1, "try_module_get" },
	{ 0x47909c16, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbabb20f1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x39341ec8, "_dev_info" },
	{ 0xd9a41c74, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaee85acb, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x2ddf1753, "down_write" },
	{ 0xc812d889, "_dev_err" },
	{ 0xf5102d7d, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8201d17, "device_create" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xb33ea398, "seq_putc" },
	{ 0xc64972ae, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xaa3ecd5b, "__nvme_submit_sync_cmd" },
	{ 0x73955133, "nvme_try_sched_reset" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x7797e1dc, "misc_register" },
	{ 0x259096d2, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xd3f8748e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xfdca33ce, "seq_puts" },
	{ 0x366c818f, "single_release" },
	{ 0x9895e8bf, "nvme_wait_reset" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x39e4541b, "single_open" },
	{ 0xf95d756c, "up_read" },
	{ 0xc79ac12, "class_register" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2b72e486, "nvme_auth_negotiate" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0477BCE7376D93EBFFDF668");
MODULE_INFO(rhelversion, "9.7");
