#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x06684be2, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75d38088, "nvme_remove_admin_tag_set" },
	{ 0xd0f28ec4, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xeddbb805, "ida_alloc_range" },
	{ 0x89914d53, "nvme_uninit_ctrl" },
	{ 0xe97faa83, "ida_destroy" },
	{ 0xf3180f6d, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x263b48e9, "nvmf_free_options" },
	{ 0x7e0df73e, "nvmf_subsystem_reset" },
	{ 0xe83f56d6, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0x77c00375, "nvme_stop_keep_alive" },
	{ 0x2621342a, "blk_mq_complete_request_remote" },
	{ 0x6b19f771, "dma_unmap_page_attrs" },
	{ 0xbc92d625, "nvme_setup_cmd" },
	{ 0x70b65ba7, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x4f91e987, "nvme_alloc_admin_tag_set" },
	{ 0x5443ec0f, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x8a12765a, "nvmf_reg_read32" },
	{ 0xf545e841, "__wake_up" },
	{ 0x12d8b32e, "nvme_delete_ctrl" },
	{ 0x68ca4292, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97d4eaaf, "dev_driver_string" },
	{ 0x632b9302, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1170090d, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb8211cf1, "nvme_remove_io_tag_set" },
	{ 0x46b53bf9, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x18e95211, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x9d75de57, "nvmf_unregister_transport" },
	{ 0x8e0f478b, "blkcg_get_fc_appid" },
	{ 0xbabb20f1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xef6b6655, "nvme_change_ctrl_state" },
	{ 0x39341ec8, "_dev_info" },
	{ 0x8d1c5426, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf28dcc06, "nvme_alloc_io_tag_set" },
	{ 0xb6b97125, "nvme_fail_nonready_command" },
	{ 0x420cb1b, "kobject_uevent_env" },
	{ 0xfeb3a112, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc812d889, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xb8201d17, "device_create" },
	{ 0x5fdea123, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xfc1e95d, "__blk_rq_map_sg" },
	{ 0xab735569, "ida_free" },
	{ 0x4feee0d7, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc64972ae, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2bef7884, "nvmf_connect_admin_queue" },
	{ 0xce8169f6, "nvme_enable_ctrl" },
	{ 0xca2caf65, "nvme_unquiesce_admin_queue" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6535d747, "nvme_unquiesce_io_queues" },
	{ 0xa3794a50, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9a310838, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc2eb838e, "nvmf_should_reconnect" },
	{ 0xe00f8891, "__dma_sync_single_for_device" },
	{ 0xea1e99cb, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd3f8748e, "device_destroy" },
	{ 0x9856c824, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xad23ed7d, "nvmf_register_transport" },
	{ 0x426cf10e, "blk_mq_start_request" },
	{ 0x7d27f660, "nvme_quiesce_io_queues" },
	{ 0xc59029c1, "blk_mq_tagset_busy_iter" },
	{ 0xa7b100c1, "nvme_stop_ctrl" },
	{ 0x858f2e92, "dma_unmap_sg_attrs" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x5b84a4af, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x4e2f852, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x5c80154c, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc79ac12, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x48c2347f, "__nvme_check_ready" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xd2c70859, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x305ee855, "nvme_add_ctrl" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "304B7BC315F7CFED2851AD9");
MODULE_INFO(rhelversion, "9.7");
