#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x1dd3a005, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x1b923a28, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x8b950a82, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x8ba4a750, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x1f445c8f, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x4065bac3, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x18253484, "_gpl");
SYMBOL_CRC(ucsi_create, 0x8e36ab1c, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x5365c468, "_gpl");
SYMBOL_CRC(ucsi_register, 0x8117366a, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xe08d6dc1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x5d980d99, "typec_partner_set_pd_revision" },
	{ 0x3bfd5767, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xceef61cb, "typec_register_partner" },
	{ 0xae2a4edb, "typec_port_set_usb_power_delivery" },
	{ 0x25e43ee6, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7c53394, "typec_port_register_altmode" },
	{ 0xe643dfce, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0x1d09826e, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0x69e9930f, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0xdec09d54, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xae26dfa3, "bpf_trace_run2" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0x844baf20, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8c72bce0, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0xe86982a1, "typec_partner_register_altmode" },
	{ 0xa7b6a42d, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xec802219, "typec_unregister_partner" },
	{ 0x8e258902, "typec_set_pwr_opmode" },
	{ 0x92aaf169, "typec_cable_set_identity" },
	{ 0xf3776404, "debugfs_attr_read" },
	{ 0xc637948d, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0xc812d889, "_dev_err" },
	{ 0x404a4aa1, "typec_altmode_update_active" },
	{ 0xe69f18a8, "device_property_read_u8_array" },
	{ 0xd62e173, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xfced8250, "usb_power_delivery_register_capabilities" },
	{ 0x1250f800, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x1dea6099, "debugfs_remove" },
	{  0x210ec, "usb_power_delivery_unregister" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0x5f79c21e, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x64a6df75, "typec_unregister_port" },
	{ 0x303c0241, "power_supply_get_drvdata" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0xfdecd247, "typec_register_port" },
	{ 0xb2631d80, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba29f434, "typec_partner_set_usb_power_delivery" },
	{ 0x75f48367, "power_supply_changed" },
	{ 0xac63b3fa, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97fefe13, "typec_plug_register_altmode" },
	{ 0x92289c47, "devm_kasprintf" },
	{ 0x2dd7d98a, "seq_read" },
	{ 0x4f74856d, "debugfs_create_file" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x9d401b73, "typec_unregister_altmode" },
	{ 0x62390429, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x376264bf, "usb_power_delivery_unregister_capabilities" },
	{ 0x31100551, "typec_get_drvdata" },
	{ 0xa4fb8c04, "typec_partner_set_identity" },
	{ 0xee6e80b5, "power_supply_unregister" },
	{ 0x366c818f, "single_release" },
	{ 0x79ee6088, "typec_set_pwr_role" },
	{ 0x88dd5d4f, "typec_partner_usb_power_delivery_register" },
	{ 0x9603863f, "dev_err_probe" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x17086a7a, "usb_debug_root" },
	{ 0x36757f4c, "device_get_next_child_node" },
	{ 0x39e4541b, "single_open" },
	{ 0xc28c6012, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x12b85bcd, "__dev_fwnode" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.7");
