#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xa7a88886, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xaf129cfe, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x59c53597, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x25a2fb6a, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xbde87fd1, "_gpl");
SYMBOL_CRC(br_forward, 0xddc9dff2, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x653519c8, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x91478d7b, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x20695459, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x177adf89, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x402efd25, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x12c6d28d, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x2dfea54e, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xcf79480b, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x0b3a0339, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x52a3a56f, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x7aed2fd7, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xfea2283a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x5f769b77, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xc86ed98b, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xde85291c, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x0e836af4, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x6ebaf03c, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xce94d985, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x902c3c7c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5c426, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc43e9ebb, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x51cd8ef0, "skb_copy_bits" },
	{ 0x49250994, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x68fa9612, "ipv6_mc_check_mld" },
	{ 0x4b6daf83, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8819574, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x783e8eff, "netdev_update_features" },
	{ 0xf91641d8, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xd0e6b2a3, "dev_uc_del" },
	{ 0xca65fb66, "rtnl_link_register" },
	{ 0x2f590d34, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3455daf3, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7ca24a0, "dev_set_promiscuity" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x51b667ed, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xebd62cb6, "unregister_netdevice_queue" },
	{ 0xf2e90010, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd5bde8a5, "netdev_state_change" },
	{ 0xeab204a0, "__pskb_copy_fclone" },
	{ 0xd8b48c75, "__dev_get_by_name" },
	{ 0x5436bc6a, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfc38e3da, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6963293, "pskb_expand_head" },
	{ 0x3646ad23, "register_pernet_subsys" },
	{ 0xb8e045ff, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xf476f8a1, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8efca700, "alloc_netdev_mqs" },
	{ 0x16cb7e6, "passthru_features_check" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe5b190d0, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7ccd062b, "__SCK__tp_func_br_mdb_full" },
	{ 0x388be505, "rtnl_af_register" },
	{ 0xee66e3df, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x4ee094b3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x55b76f76, "kmem_cache_alloc" },
	{ 0xf5a32ee6, "rtnl_set_sk_err" },
	{ 0xe5d09aaf, "skb_vlan_pop" },
	{ 0x35e3e57c, "rtnl_unicast" },
	{ 0x140c2e0a, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x29f4acdb, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x480a5a21, "nla_reserve_64bit" },
	{ 0x7ca01dd, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1ae6385a, "__dev_get_by_index" },
	{ 0xa162ec67, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x2759cc49, "init_net" },
	{ 0xbe4044cc, "ipv6_stub" },
	{ 0x9242fb35, "inet_confirm_addr" },
	{ 0x5d66609d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x939460b6, "sysfs_remove_link" },
	{ 0xeeae2137, "skb_vlan_untag" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x746986d3, "__SCK__tp_func_br_fdb_add" },
	{ 0x6254850b, "rtnl_af_unregister" },
	{ 0xb96927d9, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x63392a98, "arp_send" },
	{ 0x6ea2d10c, "dev_get_by_index_rcu" },
	{ 0xd02e91f, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x17cba899, "skb_push" },
	{ 0x39fa094, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa6feb25a, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x61f76a95, "netdev_upper_dev_unlink" },
	{ 0x83fe90b3, "netif_receive_skb" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa5ea7c82, "llc_mac_hdr_init" },
	{ 0xac259354, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xda279ca5, "__SCK__tp_func_fdb_delete" },
	{ 0xf660ddb9, "kobject_init_and_add" },
	{ 0x7a792852, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ab367f8, "ns_capable" },
	{ 0x50e7c599, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb717c97b, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe2268a5d, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xa4157f7c, "arp_create" },
	{ 0x33b07c23, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe410092, "stp_proto_register" },
	{ 0x1a8d317, "rtnl_register_module" },
	{ 0xd1ebac75, "__tracepoint_br_fdb_update" },
	{ 0xdcc5edcd, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x804d1cc3, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x11f9699a, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf75c1a27, "__pskb_pull_tail" },
	{ 0xcc878fed, "dev_get_tstats64" },
	{ 0x3fcb958e, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc07f4a35, "ip_mc_check_igmp" },
	{ 0xedd11cce, "__netdev_alloc_skb" },
	{ 0x95ef4105, "rhashtable_destroy" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0xaec54a90, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa7a95dbe, "kobject_create_and_add" },
	{ 0x25bf75d2, "skb_trim" },
	{ 0x4d4c9e17, "nf_hook_slow" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xaa74f5aa, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x186e3756, "__ip_mc_inc_group" },
	{ 0x3d50b77d, "netdev_walk_all_upper_dev_rcu" },
	{ 0x6fc01142, "sysfs_remove_group" },
	{ 0x879efde5, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x32938f96, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa34cf369, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1ce8f97b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfff788ec, "vlan_vid_add" },
	{ 0x20f9f4c3, "neigh_destroy" },
	{ 0x380e5ead, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x8d384735, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x715b0c90, "__SCK__tp_func_br_fdb_update" },
	{ 0xa664923a, "call_netdevice_notifiers" },
	{ 0x74418170, "is_skb_forwardable" },
	{ 0x6a5f0cde, "vlan_vid_del" },
	{ 0xe9e1fd35, "dev_set_allmulti" },
	{ 0xd11cba77, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x583893a2, "netdev_master_upper_dev_get" },
	{ 0x19c6cce7, "ipv6_dev_mc_inc" },
	{ 0x1b470a34, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x63c377fa, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x22ae763c, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x60247697, "skb_clone" },
	{ 0x731799c8, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xb86a5ed, "metadata_dst_alloc" },
	{ 0x46e03b13, "dst_release" },
	{ 0xd0f89a6, "netif_carrier_on" },
	{ 0x879ee6cd, "kobject_uevent" },
	{ 0x1b02767f, "arp_tbl" },
	{ 0x2da24960, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd887ed77, "netdev_rx_handler_register" },
	{ 0x22c76499, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc32a6804, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7e402333, "dev_disable_lro" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x523f4ee4, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x41527fd4, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x79bad2bd, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xf578f28, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x5092abe3, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xbb6dd20f, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xbfe90c6f, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x25169f08, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x6508c52a, "neigh_lookup" },
	{ 0xb96684c2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5a98c696, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3b644aa3, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "1028242921EF9F3F06F11F8");
MODULE_INFO(rhelversion, "9.7");
