#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x415bbd25, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xc43a36e1, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x42660964, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x5c0ae06d, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xc67012c6, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x356d3bb1, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x26f3af24, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x559b2d28, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xcf20df36, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x6812fa2b, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x80483146, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x7ebc740f, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xd7947b25, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x3450f15f, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x4a93fa38, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x6adde328, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x963cb753, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x3d95cfed, "flow_rule_alloc" },
	{ 0x832b5bc7, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x89e1014f, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3495a38, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64555428, "neigh_xmit" },
	{ 0x11a30272, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x51b667ed, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb42f27f0, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x79df0c56, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6963293, "pskb_expand_head" },
	{ 0x3646ad23, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2ddf1753, "down_write" },
	{ 0xf5102d7d, "up_write" },
	{ 0x5d66609d, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa30c9dd0, "dev_get_by_index" },
	{ 0x6ea2d10c, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x86963bfa, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5ba4dba3, "flow_indr_dev_setup_offload" },
	{ 0xc0df6c15, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x804d1cc3, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x11f9699a, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf75c1a27, "__pskb_pull_tail" },
	{ 0x95ef4105, "rhashtable_destroy" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x3b4c81c4, "down_read" },
	{ 0xc5bf9c13, "inet_proto_csum_replace16" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32938f96, "rhashtable_insert_slow" },
	{ 0x975bf523, "rt_read_lock" },
	{ 0x1ce8f97b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x23fa8a44, "ipv4_mtu" },
	{ 0x20f9f4c3, "neigh_destroy" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6accbe0e, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf1e07934, "rt_read_unlock" },
	{ 0x8c0ae318, "remove_proc_entry" },
	{ 0x7f86bd29, "nf_ct_acct_add" },
	{ 0x34571fb8, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x46e03b13, "dst_release" },
	{ 0x8053f854, "nf_ct_l4proto_find" },
	{ 0xfdca33ce, "seq_puts" },
	{ 0xdff91b44, "rhashtable_walk_next" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x8073b84c, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf95d756c, "up_read" },
	{ 0xe04d32e7, "rhashtable_walk_exit" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "95D507375C32960FF3A1DA6");
MODULE_INFO(rhelversion, "9.7");
