#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xd95c450e, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xcdcacf8a, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xd3bde0bd, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x7d2e94f9, "");
SYMBOL_CRC(gss_mech_put, 0x7e584962, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x17467501, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x08041d0b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb89e55ac, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe914e41e, "strcpy" },
	{ 0x179a75a1, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1fad6c9d, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x8f9c5634, "xdr_buf_from_iov" },
	{ 0x515d77e5, "bpf_trace_run4" },
	{ 0x9882c2ce, "xdr_stream_decode_opaque_auth" },
	{ 0x44579bf5, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x67d469b1, "xdr_write_pages" },
	{ 0x13fae4d0, "rpc_shutdown_client" },
	{ 0xf7c29045, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c99af9f, "xdr_inline_decode" },
	{ 0xa667043f, "cache_create_net" },
	{ 0x17906a01, "rpcauth_destroy_credcache" },
	{ 0xc370662a, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xee9dbff0, "bpf_trace_run6" },
	{ 0x5290f870, "rpc_net_ns" },
	{ 0x80084593, "read_bytes_from_xdr_buf" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0x37e1914, "finish_wait" },
	{ 0xeef63c18, "rpc_wake_up" },
	{ 0x9ca06f79, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xbea1f108, "sunrpc_cache_lookup_rcu" },
	{ 0x1e29fff3, "prepare_to_wait" },
	{ 0x824c7765, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xa2190d86, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x1df50c85, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xae26dfa3, "bpf_trace_run2" },
	{ 0x969f6028, "prepare_to_wait_event" },
	{ 0x33836201, "xdr_truncate_decode" },
	{ 0xea99aedb, "rpcauth_unregister" },
	{ 0x4c234982, "event_triggers_call" },
	{ 0xf545e841, "__wake_up" },
	{ 0x20c819a2, "__xdr_commit_encode" },
	{ 0x5664b174, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa5716b65, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2c9d65b6, "__put_cred" },
	{ 0x3646ad23, "register_pernet_subsys" },
	{ 0xa6097f5e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6226e5f3, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xd52b6d33, "rpc_release_client" },
	{ 0x3c37ac13, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6a0a51fd, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd76a2ccb, "svc_auth_register" },
	{ 0x43f1d125, "xdr_stream_encode_opaque_auth" },
	{ 0x560859e, "trace_event_ignore_this_pid" },
	{ 0x3fa8476, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x1474c51a, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6ee226e, "__free_pages" },
	{ 0x2c997aba, "rpc_pipe_generic_upcall" },
	{ 0xd9a41c74, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x286b93ed, "cache_unregister_net" },
	{ 0xf6032cdc, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff3c013b, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5282ff03, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xfd514ff1, "rpcauth_init_credcache" },
	{ 0x128a83f2, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xfc6068f7, "xdr_init_decode" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x521f4430, "trace_event_reg" },
	{ 0xcee66adb, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd27b833d, "rpc_sleep_on_timeout" },
	{ 0xffea54a7, "rpc_create" },
	{ 0x1ffcf030, "bpf_trace_run1" },
	{ 0x2615bcae, "rpc_call_sync" },
	{ 0x2de3edf8, "from_kuid" },
	{ 0x804d1cc3, "unregister_pernet_subsys" },
	{ 0xa501727e, "rpc_queue_upcall" },
	{ 0xb29fb34b, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x68e7a2f, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2675908, "svcauth_unix_set_client" },
	{ 0x9394e2bb, "xdr_buf_subsegment" },
	{ 0xaa018f52, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xb96fd6c0, "make_kgid" },
	{ 0x162c7785, "rt_spin_unlock" },
	{ 0x667d0b83, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xba6b6b6, "rt_spin_lock" },
	{ 0x7cfb3793, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b053605, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8ab7fd5a, "bpf_trace_run3" },
	{ 0x4147b8bd, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x599d969d, "rpc_mkpipe_dentry" },
	{ 0xb7cbd018, "rpc_mkpipe_data" },
	{ 0x56c5f557, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x43c6d2f, "trace_event_buffer_reserve" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x814175d7, "cache_register_net" },
	{ 0x9150a8ce, "init_user_ns" },
	{ 0xb7b89f49, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf96b3fe6, "xdr_inline_pages" },
	{ 0xb049659e, "__folio_put" },
	{ 0x8c0ae318, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xe10c70fd, "rpc_init_wait_queue" },
	{ 0xf0f027bc, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2f746c93, "rpc_unlink" },
	{ 0x7e897ba, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x39afba60, "from_kuid_munged" },
	{ 0xd7316523, "kmalloc_trace" },
	{ 0x4bf6a627, "rpcauth_init_cred" },
	{ 0xbaaf220b, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x228ac44e, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x28f9b2ef, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x4f1d9d10, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xc5b43f13, "sunrpc_cache_update" },
	{ 0x1a69316f, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe938f5fd, "rpc_destroy_wait_queue" },
	{ 0x370a0892, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x218ddcb8, "auth_domain_put" },
	{ 0x928a9ea8, "rpcauth_unwrap_resp_decode" },
	{ 0x4a54efee, "rpcauth_register" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.7");
