#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x0ee22b28, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x4fbdb20b, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x9dce96d6, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x34333266, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xaaa0c832, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x342a34a1, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xf5333edb, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x549d20b4, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xce6fcad1, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x76f471fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42ce8a37, "snd_soc_dapm_put_enum_double" },
	{ 0x6787c254, "gpiod_get_value_cansleep" },
	{ 0x33677b9f, "regcache_cache_only" },
	{ 0xba1e487e, "is_acpi_device_node" },
	{ 0x3c6f6a04, "gpiod_put" },
	{ 0xb6d6f628, "regcache_sync" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x565a8f08, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3089093b, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5cdee61, "rt_mutex_base_init" },
	{ 0xf7596cac, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfa4ee487, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd1b49474, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x371e4a5f, "devm_gpiod_get_optional" },
	{ 0xb69b7fe9, "wm_adsp_stop" },
	{ 0xc688d29b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x631f5e11, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ce51967, "__pm_runtime_set_status" },
	{ 0x52bc54f0, "devm_snd_soc_register_component" },
	{ 0x3a6f18d5, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91df65bc, "sdw_write_no_pm" },
	{ 0x3bc84327, "devm_free_irq" },
	{ 0xf81f71db, "pm_runtime_enable" },
	{ 0x430cf88d, "fwnode_gpiod_get_index" },
	{ 0x39341ec8, "_dev_info" },
	{ 0x2c5f764e, "acpi_dev_remove_driver_gpios" },
	{ 0x5007d3eb, "snd_soc_info_volsw" },
	{ 0x13ec507d, "cs35l56_init_cs_dsp" },
	{ 0x14499377, "wm_adsp_power_down" },
	{ 0xc812d889, "_dev_err" },
	{ 0x69807643, "debugfs_create_bool" },
	{ 0x1f92e3b2, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x6de72204, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x5c7a2c2b, "mutex_lock" },
	{ 0x4fbf59ad, "cs35l56_runtime_suspend_common" },
	{ 0x5323bfc5, "sdw_read_no_pm" },
	{ 0x3ed7ac9, "cs35l56_mbox_send" },
	{ 0x5ae9f58a, "cs35l56_hw_init" },
	{ 0x9ddc599d, "_dev_warn" },
	{ 0xe49815f, "wm_adsp2_component_probe" },
	{ 0xba5e7281, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6525f01b, "cs35l56_system_reset" },
	{ 0xc518ddd2, "snd_soc_info_enum_double" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x267cbd7e, "wm_adsp2_component_remove" },
	{ 0x4abdad27, "cs35l56_wait_for_firmware_boot" },
	{ 0x92289c47, "devm_kasprintf" },
	{ 0x3a4093ff, "snd_soc_get_volsw" },
	{ 0xb29136e5, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xd3be4114, "fwnode_property_present" },
	{ 0xc9200095, "cs35l56_is_fw_reload_needed" },
	{ 0x2f6d114c, "regmap_read" },
	{ 0x480d305, "snd_soc_put_volsw" },
	{ 0x9bf374b4, "__pm_runtime_resume" },
	{ 0xedaacdc, "mutex_unlock" },
	{ 0x62422452, "cs_amp_write_cal_coeffs" },
	{ 0xacb16c4, "device_get_named_child_node" },
	{ 0xe0bdd91e, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1d8aece8, "sdw_stream_remove_slave" },
	{ 0xfd8b240e, "cs35l56_runtime_resume_common" },
	{ 0x8d507647, "dapm_regulator_event" },
	{ 0x72aaf9db, "cs35l56_get_speaker_id" },
	{ 0x2988a614, "wm_adsp_run" },
	{ 0x29581730, "regmap_update_bits_base" },
	{ 0xc9cee416, "acpi_dev_get_property" },
	{ 0x9603863f, "dev_err_probe" },
	{ 0x1b1fa8c9, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x366ea1b5, "__devm_add_action" },
	{ 0xe7d1113, "snd_soc_dapm_get_enum_double" },
	{ 0x8e24cb1d, "__pm_runtime_use_autosuspend" },
	{ 0xea53ffee, "wm_halo_init" },
	{ 0x1c92ea48, "__pm_runtime_disable" },
	{ 0xe92b1fa, "cs35l56_firmware_shutdown" },
	{ 0xe223fff1, "sdw_stream_add_slave" },
	{ 0xf44f09df, "pm_runtime_force_suspend" },
	{ 0x5d60d708, "__mutex_rt_init" },
	{ 0xda7ef2, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc295c6cb, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "49BA6FE436AAA939A6DEDEA");
MODULE_INFO(rhelversion, "9.7");
